// Generated by dts-bundle-generator v9.5.1

export declare type Primitive = string | number | symbol | bigint | boolean | null | undefined;
export declare type Scalars = Primitive | Primitive[];
declare namespace util {
	type AssertEqual<T, U> = (<V>() => V extends T ? 1 : 2) extends <V>() => V extends U ? 1 : 2 ? true : false;
	export type isAny<T> = 0 extends 1 & T ? true : false;
	export const assertEqual: <A, B>(val: AssertEqual<A, B>) => AssertEqual<A, B>;
	export function assertIs<T>(_arg: T): void;
	export function assertNever(_x: never): never;
	export type Omit<T, K extends keyof T> = Pick<T, Exclude<keyof T, K>>;
	export type OmitKeys<T, K extends string> = Pick<T, Exclude<keyof T, K>>;
	export type MakePartial<T, K extends keyof T> = Omit<T, K> & Partial<Pick<T, K>>;
	export type Exactly<T, X> = T & Record<Exclude<keyof X, keyof T>, never>;
	export const arrayToEnum: <T extends string, U extends [
		T,
		...T[]
	]>(items: U) => {
		[k in U[number]]: k;
	};
	export const getValidEnumValues: (obj: any) => any[];
	export const objectValues: (obj: any) => any[];
	export const objectKeys: ObjectConstructor["keys"];
	export const find: <T>(arr: T[], checker: (arg: T) => any) => T | undefined;
	export type identity<T> = objectUtil.identity<T>;
	export type flatten<T> = objectUtil.flatten<T>;
	export type noUndefined<T> = T extends undefined ? never : T;
	export const isInteger: NumberConstructor["isInteger"];
	export function joinValues<T extends any[]>(array: T, separator?: string): string;
	export const jsonStringifyReplacer: (_: string, value: any) => any;
	export {};
}
declare namespace objectUtil {
	export type MergeShapes<U, V> = {
		[k in Exclude<keyof U, keyof V>]: U[k];
	} & V;
	type optionalKeys<T extends object> = {
		[k in keyof T]: undefined extends T[k] ? k : never;
	}[keyof T];
	type requiredKeys<T extends object> = {
		[k in keyof T]: undefined extends T[k] ? never : k;
	}[keyof T];
	export type addQuestionMarks<T extends object, _O = any> = {
		[K in requiredKeys<T>]: T[K];
	} & {
		[K in optionalKeys<T>]?: T[K];
	} & {
		[k in keyof T]?: unknown;
	};
	export type identity<T> = T;
	export type flatten<T> = identity<{
		[k in keyof T]: T[k];
	}>;
	export type noNeverKeys<T> = {
		[k in keyof T]: [
			T[k]
		] extends [
			never
		] ? never : k;
	}[keyof T];
	export type noNever<T> = identity<{
		[k in noNeverKeys<T>]: k extends keyof T ? T[k] : never;
	}>;
	export const mergeShapes: <U, T>(first: U, second: T) => T & U;
	export type extendShape<A extends object, B extends object> = {
		[K in keyof A as K extends keyof B ? never : K]: A[K];
	} & {
		[K in keyof B]: B[K];
	};
	export {};
}
declare const ZodParsedType: {
	function: "function";
	number: "number";
	string: "string";
	nan: "nan";
	integer: "integer";
	float: "float";
	boolean: "boolean";
	date: "date";
	bigint: "bigint";
	symbol: "symbol";
	undefined: "undefined";
	null: "null";
	array: "array";
	object: "object";
	unknown: "unknown";
	promise: "promise";
	void: "void";
	never: "never";
	map: "map";
	set: "set";
};
export declare type ZodParsedType = keyof typeof ZodParsedType;
declare const getParsedType: (data: any) => ZodParsedType;
export declare type allKeys<T> = T extends any ? keyof T : never;
export declare type inferFlattenedErrors<T extends ZodType<any, any, any>, U = string> = typeToFlattenedError<TypeOf<T>, U>;
export declare type typeToFlattenedError<T, U = string> = {
	formErrors: U[];
	fieldErrors: {
		[P in allKeys<T>]?: U[];
	};
};
declare const ZodIssueCode: {
	invalid_type: "invalid_type";
	invalid_literal: "invalid_literal";
	custom: "custom";
	invalid_union: "invalid_union";
	invalid_union_discriminator: "invalid_union_discriminator";
	invalid_enum_value: "invalid_enum_value";
	unrecognized_keys: "unrecognized_keys";
	invalid_arguments: "invalid_arguments";
	invalid_return_type: "invalid_return_type";
	invalid_date: "invalid_date";
	invalid_string: "invalid_string";
	too_small: "too_small";
	too_big: "too_big";
	invalid_intersection_types: "invalid_intersection_types";
	not_multiple_of: "not_multiple_of";
	not_finite: "not_finite";
};
export declare type ZodIssueCode = keyof typeof ZodIssueCode;
export declare type ZodIssueBase = {
	path: (string | number)[];
	message?: string;
};
export interface ZodInvalidTypeIssue extends ZodIssueBase {
	code: typeof ZodIssueCode.invalid_type;
	expected: ZodParsedType;
	received: ZodParsedType;
}
export interface ZodInvalidLiteralIssue extends ZodIssueBase {
	code: typeof ZodIssueCode.invalid_literal;
	expected: unknown;
	received: unknown;
}
export interface ZodUnrecognizedKeysIssue extends ZodIssueBase {
	code: typeof ZodIssueCode.unrecognized_keys;
	keys: string[];
}
export interface ZodInvalidUnionIssue extends ZodIssueBase {
	code: typeof ZodIssueCode.invalid_union;
	unionErrors: ZodError[];
}
export interface ZodInvalidUnionDiscriminatorIssue extends ZodIssueBase {
	code: typeof ZodIssueCode.invalid_union_discriminator;
	options: Primitive[];
}
export interface ZodInvalidEnumValueIssue extends ZodIssueBase {
	received: string | number;
	code: typeof ZodIssueCode.invalid_enum_value;
	options: (string | number)[];
}
export interface ZodInvalidArgumentsIssue extends ZodIssueBase {
	code: typeof ZodIssueCode.invalid_arguments;
	argumentsError: ZodError;
}
export interface ZodInvalidReturnTypeIssue extends ZodIssueBase {
	code: typeof ZodIssueCode.invalid_return_type;
	returnTypeError: ZodError;
}
export interface ZodInvalidDateIssue extends ZodIssueBase {
	code: typeof ZodIssueCode.invalid_date;
}
export declare type StringValidation = "email" | "url" | "emoji" | "uuid" | "nanoid" | "regex" | "cuid" | "cuid2" | "ulid" | "datetime" | "date" | "time" | "duration" | "ip" | "base64" | {
	includes: string;
	position?: number;
} | {
	startsWith: string;
} | {
	endsWith: string;
};
export interface ZodInvalidStringIssue extends ZodIssueBase {
	code: typeof ZodIssueCode.invalid_string;
	validation: StringValidation;
}
export interface ZodTooSmallIssue extends ZodIssueBase {
	code: typeof ZodIssueCode.too_small;
	minimum: number | bigint;
	inclusive: boolean;
	exact?: boolean;
	type: "array" | "string" | "number" | "set" | "date" | "bigint";
}
export interface ZodTooBigIssue extends ZodIssueBase {
	code: typeof ZodIssueCode.too_big;
	maximum: number | bigint;
	inclusive: boolean;
	exact?: boolean;
	type: "array" | "string" | "number" | "set" | "date" | "bigint";
}
export interface ZodInvalidIntersectionTypesIssue extends ZodIssueBase {
	code: typeof ZodIssueCode.invalid_intersection_types;
}
export interface ZodNotMultipleOfIssue extends ZodIssueBase {
	code: typeof ZodIssueCode.not_multiple_of;
	multipleOf: number | bigint;
}
export interface ZodNotFiniteIssue extends ZodIssueBase {
	code: typeof ZodIssueCode.not_finite;
}
export interface ZodCustomIssue extends ZodIssueBase {
	code: typeof ZodIssueCode.custom;
	params?: {
		[k: string]: any;
	};
}
export declare type DenormalizedError = {
	[k: string]: DenormalizedError | string[];
};
export declare type ZodIssueOptionalMessage = ZodInvalidTypeIssue | ZodInvalidLiteralIssue | ZodUnrecognizedKeysIssue | ZodInvalidUnionIssue | ZodInvalidUnionDiscriminatorIssue | ZodInvalidEnumValueIssue | ZodInvalidArgumentsIssue | ZodInvalidReturnTypeIssue | ZodInvalidDateIssue | ZodInvalidStringIssue | ZodTooSmallIssue | ZodTooBigIssue | ZodInvalidIntersectionTypesIssue | ZodNotMultipleOfIssue | ZodNotFiniteIssue | ZodCustomIssue;
export declare type ZodIssue = ZodIssueOptionalMessage & {
	fatal?: boolean;
	message: string;
};
declare const quotelessJson: (obj: any) => string;
export declare type recursiveZodFormattedError<T> = T extends [
	any,
	...any[]
] ? {
	[K in keyof T]?: ZodFormattedError<T[K]>;
} : T extends any[] ? {
	[k: number]: ZodFormattedError<T[number]>;
} : T extends object ? {
	[K in keyof T]?: ZodFormattedError<T[K]>;
} : unknown;
export declare type ZodFormattedError<T, U = string> = {
	_errors: U[];
} & recursiveZodFormattedError<NonNullable<T>>;
export declare type inferFormattedError<T extends ZodType<any, any, any>, U = string> = ZodFormattedError<TypeOf<T>, U>;
declare class ZodError<T = any> extends Error {
	issues: ZodIssue[];
	get errors(): ZodIssue[];
	constructor(issues: ZodIssue[]);
	format(): ZodFormattedError<T>;
	format<U>(mapper: (issue: ZodIssue) => U): ZodFormattedError<T, U>;
	static create: (issues: ZodIssue[]) => ZodError<any>;
	static assert(value: unknown): asserts value is ZodError;
	toString(): string;
	get message(): string;
	get isEmpty(): boolean;
	addIssue: (sub: ZodIssue) => void;
	addIssues: (subs?: ZodIssue[]) => void;
	flatten(): typeToFlattenedError<T>;
	flatten<U>(mapper?: (issue: ZodIssue) => U): typeToFlattenedError<T, U>;
	get formErrors(): typeToFlattenedError<T, string>;
}
export declare type stripPath<T extends object> = T extends any ? util.OmitKeys<T, "path"> : never;
export declare type IssueData = stripPath<ZodIssueOptionalMessage> & {
	path?: (string | number)[];
	fatal?: boolean;
};
export declare type ErrorMapCtx = {
	defaultError: string;
	data: any;
};
export declare type ZodErrorMap = (issue: ZodIssueOptionalMessage, _ctx: ErrorMapCtx) => {
	message: string;
};
declare const errorMap: ZodErrorMap;
declare function setErrorMap(map: ZodErrorMap): void;
declare function getErrorMap(): ZodErrorMap;
declare const makeIssue: (params: {
	data: any;
	path: (string | number)[];
	errorMaps: ZodErrorMap[];
	issueData: IssueData;
}) => ZodIssue;
export declare type ParseParams = {
	path: (string | number)[];
	errorMap: ZodErrorMap;
	async: boolean;
};
export declare type ParsePathComponent = string | number;
export declare type ParsePath = ParsePathComponent[];
declare const EMPTY_PATH: ParsePath;
export interface ParseContext {
	readonly common: {
		readonly issues: ZodIssue[];
		readonly contextualErrorMap?: ZodErrorMap;
		readonly async: boolean;
	};
	readonly path: ParsePath;
	readonly schemaErrorMap?: ZodErrorMap;
	readonly parent: ParseContext | null;
	readonly data: any;
	readonly parsedType: ZodParsedType;
}
export declare type ParseInput = {
	data: any;
	path: (string | number)[];
	parent: ParseContext;
};
declare function addIssueToContext(ctx: ParseContext, issueData: IssueData): void;
export declare type ObjectPair = {
	key: SyncParseReturnType<any>;
	value: SyncParseReturnType<any>;
};
declare class ParseStatus {
	value: "aborted" | "dirty" | "valid";
	dirty(): void;
	abort(): void;
	static mergeArray(status: ParseStatus, results: SyncParseReturnType<any>[]): SyncParseReturnType;
	static mergeObjectAsync(status: ParseStatus, pairs: {
		key: ParseReturnType<any>;
		value: ParseReturnType<any>;
	}[]): Promise<SyncParseReturnType<any>>;
	static mergeObjectSync(status: ParseStatus, pairs: {
		key: SyncParseReturnType<any>;
		value: SyncParseReturnType<any>;
		alwaysSet?: boolean;
	}[]): SyncParseReturnType;
}
export interface ParseResult {
	status: "aborted" | "dirty" | "valid";
	data: any;
}
export declare type INVALID = {
	status: "aborted";
};
declare const INVALID: INVALID;
export declare type DIRTY<T> = {
	status: "dirty";
	value: T;
};
declare const DIRTY: <T>(value: T) => DIRTY<T>;
export declare type OK<T> = {
	status: "valid";
	value: T;
};
declare const OK: <T>(value: T) => OK<T>;
export declare type SyncParseReturnType<T = any> = OK<T> | DIRTY<T> | INVALID;
export declare type AsyncParseReturnType<T> = Promise<SyncParseReturnType<T>>;
export declare type ParseReturnType<T> = SyncParseReturnType<T> | AsyncParseReturnType<T>;
declare const isAborted: (x: ParseReturnType<any>) => x is INVALID;
declare const isDirty: <T>(x: ParseReturnType<T>) => x is OK<T> | DIRTY<T>;
declare const isValid: <T>(x: ParseReturnType<T>) => x is OK<T>;
declare const isAsync: <T>(x: ParseReturnType<T>) => x is AsyncParseReturnType<T>;
declare namespace enumUtil {
	type UnionToIntersectionFn<T> = (T extends unknown ? (k: () => T) => void : never) extends (k: infer Intersection) => void ? Intersection : never;
	type GetUnionLast<T> = UnionToIntersectionFn<T> extends () => infer Last ? Last : never;
	type UnionToTuple<T, Tuple extends unknown[] = [
	]> = [
		T
	] extends [
		never
	] ? Tuple : UnionToTuple<Exclude<T, GetUnionLast<T>>, [
		GetUnionLast<T>,
		...Tuple
	]>;
	type CastToStringTuple<T> = T extends [
		string,
		...string[]
	] ? T : never;
	export type UnionToTupleString<T> = CastToStringTuple<UnionToTuple<T>>;
	export {};
}
declare namespace errorUtil {
	type ErrMessage = string | {
		message?: string;
	};
	const errToObj: (message?: ErrMessage | undefined) => {
		message?: string | undefined;
	};
	const toString: (message?: ErrMessage | undefined) => string | undefined;
}
declare namespace partialUtil {
	type DeepPartial<T extends ZodTypeAny> = T extends ZodObject<ZodRawShape> ? ZodObject<{
		[k in keyof T["shape"]]: ZodOptional<DeepPartial<T["shape"][k]>>;
	}, T["_def"]["unknownKeys"], T["_def"]["catchall"]> : T extends ZodArray<infer Type, infer Card> ? ZodArray<DeepPartial<Type>, Card> : T extends ZodOptional<infer Type> ? ZodOptional<DeepPartial<Type>> : T extends ZodNullable<infer Type> ? ZodNullable<DeepPartial<Type>> : T extends ZodTuple<infer Items> ? {
		[k in keyof Items]: Items[k] extends ZodTypeAny ? DeepPartial<Items[k]> : never;
	} extends infer PI ? PI extends ZodTupleItems ? ZodTuple<PI> : never : never : T;
}
export interface RefinementCtx {
	addIssue: (arg: IssueData) => void;
	path: (string | number)[];
}
export declare type ZodRawShape = {
	[k: string]: ZodTypeAny;
};
export declare type ZodTypeAny = ZodType<any, any, any>;
export declare type TypeOf<T extends ZodType<any, any, any>> = T["_output"];
export declare type input<T extends ZodType<any, any, any>> = T["_input"];
export declare type output<T extends ZodType<any, any, any>> = T["_output"];
export declare type CustomErrorParams = Partial<util.Omit<ZodCustomIssue, "code">>;
export interface ZodTypeDef {
	errorMap?: ZodErrorMap;
	description?: string;
}
export declare type RawCreateParams = {
	errorMap?: ZodErrorMap;
	invalid_type_error?: string;
	required_error?: string;
	message?: string;
	description?: string;
} | undefined;
export declare type ProcessedCreateParams = {
	errorMap?: ZodErrorMap;
	description?: string;
};
export declare type SafeParseSuccess<Output> = {
	success: true;
	data: Output;
	error?: never;
};
export declare type SafeParseError<Input> = {
	success: false;
	error: ZodError<Input>;
	data?: never;
};
export declare type SafeParseReturnType<Input, Output> = SafeParseSuccess<Output> | SafeParseError<Input>;
declare abstract class ZodType<Output = any, Def extends ZodTypeDef = ZodTypeDef, Input = Output> {
	readonly _type: Output;
	readonly _output: Output;
	readonly _input: Input;
	readonly _def: Def;
	get description(): string | undefined;
	abstract _parse(input: ParseInput): ParseReturnType<Output>;
	_getType(input: ParseInput): string;
	_getOrReturnCtx(input: ParseInput, ctx?: ParseContext | undefined): ParseContext;
	_processInputParams(input: ParseInput): {
		status: ParseStatus;
		ctx: ParseContext;
	};
	_parseSync(input: ParseInput): SyncParseReturnType<Output>;
	_parseAsync(input: ParseInput): AsyncParseReturnType<Output>;
	parse(data: unknown, params?: Partial<ParseParams>): Output;
	safeParse(data: unknown, params?: Partial<ParseParams>): SafeParseReturnType<Input, Output>;
	parseAsync(data: unknown, params?: Partial<ParseParams>): Promise<Output>;
	safeParseAsync(data: unknown, params?: Partial<ParseParams>): Promise<SafeParseReturnType<Input, Output>>;
	/** Alias of safeParseAsync */
	spa: (data: unknown, params?: Partial<ParseParams> | undefined) => Promise<SafeParseReturnType<Input, Output>>;
	refine<RefinedOutput extends Output>(check: (arg: Output) => arg is RefinedOutput, message?: string | CustomErrorParams | ((arg: Output) => CustomErrorParams)): ZodEffects<this, RefinedOutput, Input>;
	refine(check: (arg: Output) => unknown | Promise<unknown>, message?: string | CustomErrorParams | ((arg: Output) => CustomErrorParams)): ZodEffects<this, Output, Input>;
	refinement<RefinedOutput extends Output>(check: (arg: Output) => arg is RefinedOutput, refinementData: IssueData | ((arg: Output, ctx: RefinementCtx) => IssueData)): ZodEffects<this, RefinedOutput, Input>;
	refinement(check: (arg: Output) => boolean, refinementData: IssueData | ((arg: Output, ctx: RefinementCtx) => IssueData)): ZodEffects<this, Output, Input>;
	_refinement(refinement: RefinementEffect<Output>["refinement"]): ZodEffects<this, Output, Input>;
	superRefine<RefinedOutput extends Output>(refinement: (arg: Output, ctx: RefinementCtx) => arg is RefinedOutput): ZodEffects<this, RefinedOutput, Input>;
	superRefine(refinement: (arg: Output, ctx: RefinementCtx) => void): ZodEffects<this, Output, Input>;
	superRefine(refinement: (arg: Output, ctx: RefinementCtx) => Promise<void>): ZodEffects<this, Output, Input>;
	constructor(def: Def);
	optional(): ZodOptional<this>;
	nullable(): ZodNullable<this>;
	nullish(): ZodOptional<ZodNullable<this>>;
	array(): ZodArray<this>;
	promise(): ZodPromise<this>;
	or<T extends ZodTypeAny>(option: T): ZodUnion<[
		this,
		T
	]>;
	and<T extends ZodTypeAny>(incoming: T): ZodIntersection<this, T>;
	transform<NewOut>(transform: (arg: Output, ctx: RefinementCtx) => NewOut | Promise<NewOut>): ZodEffects<this, NewOut>;
	default(def: util.noUndefined<Input>): ZodDefault<this>;
	default(def: () => util.noUndefined<Input>): ZodDefault<this>;
	brand<B extends string | number | symbol>(brand?: B): ZodBranded<this, B>;
	catch(def: Output): ZodCatch<this>;
	catch(def: (ctx: {
		error: ZodError;
		input: Input;
	}) => Output): ZodCatch<this>;
	describe(description: string): this;
	pipe<T extends ZodTypeAny>(target: T): ZodPipeline<this, T>;
	readonly(): ZodReadonly<this>;
	isOptional(): boolean;
	isNullable(): boolean;
}
export declare type IpVersion = "v4" | "v6";
export declare type ZodStringCheck = {
	kind: "min";
	value: number;
	message?: string;
} | {
	kind: "max";
	value: number;
	message?: string;
} | {
	kind: "length";
	value: number;
	message?: string;
} | {
	kind: "email";
	message?: string;
} | {
	kind: "url";
	message?: string;
} | {
	kind: "emoji";
	message?: string;
} | {
	kind: "uuid";
	message?: string;
} | {
	kind: "nanoid";
	message?: string;
} | {
	kind: "cuid";
	message?: string;
} | {
	kind: "includes";
	value: string;
	position?: number;
	message?: string;
} | {
	kind: "cuid2";
	message?: string;
} | {
	kind: "ulid";
	message?: string;
} | {
	kind: "startsWith";
	value: string;
	message?: string;
} | {
	kind: "endsWith";
	value: string;
	message?: string;
} | {
	kind: "regex";
	regex: RegExp;
	message?: string;
} | {
	kind: "trim";
	message?: string;
} | {
	kind: "toLowerCase";
	message?: string;
} | {
	kind: "toUpperCase";
	message?: string;
} | {
	kind: "datetime";
	offset: boolean;
	local: boolean;
	precision: number | null;
	message?: string;
} | {
	kind: "date";
	message?: string;
} | {
	kind: "time";
	precision: number | null;
	message?: string;
} | {
	kind: "duration";
	message?: string;
} | {
	kind: "ip";
	version?: IpVersion;
	message?: string;
} | {
	kind: "base64";
	message?: string;
};
export interface ZodStringDef extends ZodTypeDef {
	checks: ZodStringCheck[];
	typeName: ZodFirstPartyTypeKind.ZodString;
	coerce: boolean;
}
declare function datetimeRegex(args: {
	precision?: number | null;
	offset?: boolean;
	local?: boolean;
}): RegExp;
declare class ZodString extends ZodType<string, ZodStringDef, string> {
	_parse(input: ParseInput): ParseReturnType<string>;
	protected _regex(regex: RegExp, validation: StringValidation, message?: errorUtil.ErrMessage): ZodEffects<this, string, string>;
	_addCheck(check: ZodStringCheck): ZodString;
	email(message?: errorUtil.ErrMessage): ZodString;
	url(message?: errorUtil.ErrMessage): ZodString;
	emoji(message?: errorUtil.ErrMessage): ZodString;
	uuid(message?: errorUtil.ErrMessage): ZodString;
	nanoid(message?: errorUtil.ErrMessage): ZodString;
	cuid(message?: errorUtil.ErrMessage): ZodString;
	cuid2(message?: errorUtil.ErrMessage): ZodString;
	ulid(message?: errorUtil.ErrMessage): ZodString;
	base64(message?: errorUtil.ErrMessage): ZodString;
	ip(options?: string | {
		version?: "v4" | "v6";
		message?: string;
	}): ZodString;
	datetime(options?: string | {
		message?: string | undefined;
		precision?: number | null;
		offset?: boolean;
		local?: boolean;
	}): ZodString;
	date(message?: string): ZodString;
	time(options?: string | {
		message?: string | undefined;
		precision?: number | null;
	}): ZodString;
	duration(message?: errorUtil.ErrMessage): ZodString;
	regex(regex: RegExp, message?: errorUtil.ErrMessage): ZodString;
	includes(value: string, options?: {
		message?: string;
		position?: number;
	}): ZodString;
	startsWith(value: string, message?: errorUtil.ErrMessage): ZodString;
	endsWith(value: string, message?: errorUtil.ErrMessage): ZodString;
	min(minLength: number, message?: errorUtil.ErrMessage): ZodString;
	max(maxLength: number, message?: errorUtil.ErrMessage): ZodString;
	length(len: number, message?: errorUtil.ErrMessage): ZodString;
	/**
	 * @deprecated Use z.string().min(1) instead.
	 * @see {@link ZodString.min}
	 */
	nonempty(message?: errorUtil.ErrMessage): ZodString;
	trim(): ZodString;
	toLowerCase(): ZodString;
	toUpperCase(): ZodString;
	get isDatetime(): boolean;
	get isDate(): boolean;
	get isTime(): boolean;
	get isDuration(): boolean;
	get isEmail(): boolean;
	get isURL(): boolean;
	get isEmoji(): boolean;
	get isUUID(): boolean;
	get isNANOID(): boolean;
	get isCUID(): boolean;
	get isCUID2(): boolean;
	get isULID(): boolean;
	get isIP(): boolean;
	get isBase64(): boolean;
	get minLength(): number | null;
	get maxLength(): number | null;
	static create: (params?: ({
		errorMap?: ZodErrorMap | undefined;
		invalid_type_error?: string | undefined;
		required_error?: string | undefined;
		message?: string | undefined;
		description?: string | undefined;
	} & {
		coerce?: true | undefined;
	}) | undefined) => ZodString;
}
export declare type ZodNumberCheck = {
	kind: "min";
	value: number;
	inclusive: boolean;
	message?: string;
} | {
	kind: "max";
	value: number;
	inclusive: boolean;
	message?: string;
} | {
	kind: "int";
	message?: string;
} | {
	kind: "multipleOf";
	value: number;
	message?: string;
} | {
	kind: "finite";
	message?: string;
};
export interface ZodNumberDef extends ZodTypeDef {
	checks: ZodNumberCheck[];
	typeName: ZodFirstPartyTypeKind.ZodNumber;
	coerce: boolean;
}
declare class ZodNumber extends ZodType<number, ZodNumberDef, number> {
	_parse(input: ParseInput): ParseReturnType<number>;
	static create: (params?: ({
		errorMap?: ZodErrorMap | undefined;
		invalid_type_error?: string | undefined;
		required_error?: string | undefined;
		message?: string | undefined;
		description?: string | undefined;
	} & {
		coerce?: boolean | undefined;
	}) | undefined) => ZodNumber;
	gte(value: number, message?: errorUtil.ErrMessage): ZodNumber;
	min: (value: number, message?: errorUtil.ErrMessage | undefined) => ZodNumber;
	gt(value: number, message?: errorUtil.ErrMessage): ZodNumber;
	lte(value: number, message?: errorUtil.ErrMessage): ZodNumber;
	max: (value: number, message?: errorUtil.ErrMessage | undefined) => ZodNumber;
	lt(value: number, message?: errorUtil.ErrMessage): ZodNumber;
	protected setLimit(kind: "min" | "max", value: number, inclusive: boolean, message?: string): ZodNumber;
	_addCheck(check: ZodNumberCheck): ZodNumber;
	int(message?: errorUtil.ErrMessage): ZodNumber;
	positive(message?: errorUtil.ErrMessage): ZodNumber;
	negative(message?: errorUtil.ErrMessage): ZodNumber;
	nonpositive(message?: errorUtil.ErrMessage): ZodNumber;
	nonnegative(message?: errorUtil.ErrMessage): ZodNumber;
	multipleOf(value: number, message?: errorUtil.ErrMessage): ZodNumber;
	step: (value: number, message?: errorUtil.ErrMessage | undefined) => ZodNumber;
	finite(message?: errorUtil.ErrMessage): ZodNumber;
	safe(message?: errorUtil.ErrMessage): ZodNumber;
	get minValue(): number | null;
	get maxValue(): number | null;
	get isInt(): boolean;
	get isFinite(): boolean;
}
export declare type ZodBigIntCheck = {
	kind: "min";
	value: bigint;
	inclusive: boolean;
	message?: string;
} | {
	kind: "max";
	value: bigint;
	inclusive: boolean;
	message?: string;
} | {
	kind: "multipleOf";
	value: bigint;
	message?: string;
};
export interface ZodBigIntDef extends ZodTypeDef {
	checks: ZodBigIntCheck[];
	typeName: ZodFirstPartyTypeKind.ZodBigInt;
	coerce: boolean;
}
declare class ZodBigInt extends ZodType<bigint, ZodBigIntDef, bigint> {
	_parse(input: ParseInput): ParseReturnType<bigint>;
	static create: (params?: ({
		errorMap?: ZodErrorMap | undefined;
		invalid_type_error?: string | undefined;
		required_error?: string | undefined;
		message?: string | undefined;
		description?: string | undefined;
	} & {
		coerce?: boolean | undefined;
	}) | undefined) => ZodBigInt;
	gte(value: bigint, message?: errorUtil.ErrMessage): ZodBigInt;
	min: (value: bigint, message?: errorUtil.ErrMessage | undefined) => ZodBigInt;
	gt(value: bigint, message?: errorUtil.ErrMessage): ZodBigInt;
	lte(value: bigint, message?: errorUtil.ErrMessage): ZodBigInt;
	max: (value: bigint, message?: errorUtil.ErrMessage | undefined) => ZodBigInt;
	lt(value: bigint, message?: errorUtil.ErrMessage): ZodBigInt;
	protected setLimit(kind: "min" | "max", value: bigint, inclusive: boolean, message?: string): ZodBigInt;
	_addCheck(check: ZodBigIntCheck): ZodBigInt;
	positive(message?: errorUtil.ErrMessage): ZodBigInt;
	negative(message?: errorUtil.ErrMessage): ZodBigInt;
	nonpositive(message?: errorUtil.ErrMessage): ZodBigInt;
	nonnegative(message?: errorUtil.ErrMessage): ZodBigInt;
	multipleOf(value: bigint, message?: errorUtil.ErrMessage): ZodBigInt;
	get minValue(): bigint | null;
	get maxValue(): bigint | null;
}
export interface ZodBooleanDef extends ZodTypeDef {
	typeName: ZodFirstPartyTypeKind.ZodBoolean;
	coerce: boolean;
}
declare class ZodBoolean extends ZodType<boolean, ZodBooleanDef, boolean> {
	_parse(input: ParseInput): ParseReturnType<boolean>;
	static create: (params?: ({
		errorMap?: ZodErrorMap | undefined;
		invalid_type_error?: string | undefined;
		required_error?: string | undefined;
		message?: string | undefined;
		description?: string | undefined;
	} & {
		coerce?: boolean | undefined;
	}) | undefined) => ZodBoolean;
}
export declare type ZodDateCheck = {
	kind: "min";
	value: number;
	message?: string;
} | {
	kind: "max";
	value: number;
	message?: string;
};
export interface ZodDateDef extends ZodTypeDef {
	checks: ZodDateCheck[];
	coerce: boolean;
	typeName: ZodFirstPartyTypeKind.ZodDate;
}
declare class ZodDate extends ZodType<Date, ZodDateDef, Date> {
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	_addCheck(check: ZodDateCheck): ZodDate;
	min(minDate: Date, message?: errorUtil.ErrMessage): ZodDate;
	max(maxDate: Date, message?: errorUtil.ErrMessage): ZodDate;
	get minDate(): Date | null;
	get maxDate(): Date | null;
	static create: (params?: ({
		errorMap?: ZodErrorMap | undefined;
		invalid_type_error?: string | undefined;
		required_error?: string | undefined;
		message?: string | undefined;
		description?: string | undefined;
	} & {
		coerce?: boolean | undefined;
	}) | undefined) => ZodDate;
}
export interface ZodSymbolDef extends ZodTypeDef {
	typeName: ZodFirstPartyTypeKind.ZodSymbol;
}
declare class ZodSymbol extends ZodType<symbol, ZodSymbolDef, symbol> {
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	static create: (params?: RawCreateParams) => ZodSymbol;
}
export interface ZodUndefinedDef extends ZodTypeDef {
	typeName: ZodFirstPartyTypeKind.ZodUndefined;
}
declare class ZodUndefined extends ZodType<undefined, ZodUndefinedDef, undefined> {
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	params?: RawCreateParams;
	static create: (params?: RawCreateParams) => ZodUndefined;
}
export interface ZodNullDef extends ZodTypeDef {
	typeName: ZodFirstPartyTypeKind.ZodNull;
}
declare class ZodNull extends ZodType<null, ZodNullDef, null> {
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	static create: (params?: RawCreateParams) => ZodNull;
}
export interface ZodAnyDef extends ZodTypeDef {
	typeName: ZodFirstPartyTypeKind.ZodAny;
}
declare class ZodAny extends ZodType<any, ZodAnyDef, any> {
	_any: true;
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	static create: (params?: RawCreateParams) => ZodAny;
}
export interface ZodUnknownDef extends ZodTypeDef {
	typeName: ZodFirstPartyTypeKind.ZodUnknown;
}
declare class ZodUnknown extends ZodType<unknown, ZodUnknownDef, unknown> {
	_unknown: true;
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	static create: (params?: RawCreateParams) => ZodUnknown;
}
export interface ZodNeverDef extends ZodTypeDef {
	typeName: ZodFirstPartyTypeKind.ZodNever;
}
declare class ZodNever extends ZodType<never, ZodNeverDef, never> {
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	static create: (params?: RawCreateParams) => ZodNever;
}
export interface ZodVoidDef extends ZodTypeDef {
	typeName: ZodFirstPartyTypeKind.ZodVoid;
}
declare class ZodVoid extends ZodType<void, ZodVoidDef, void> {
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	static create: (params?: RawCreateParams) => ZodVoid;
}
export interface ZodArrayDef<T extends ZodTypeAny = ZodTypeAny> extends ZodTypeDef {
	type: T;
	typeName: ZodFirstPartyTypeKind.ZodArray;
	exactLength: {
		value: number;
		message?: string;
	} | null;
	minLength: {
		value: number;
		message?: string;
	} | null;
	maxLength: {
		value: number;
		message?: string;
	} | null;
}
export declare type ArrayCardinality = "many" | "atleastone";
export declare type arrayOutputType<T extends ZodTypeAny, Cardinality extends ArrayCardinality = "many"> = Cardinality extends "atleastone" ? [
	T["_output"],
	...T["_output"][]
] : T["_output"][];
declare class ZodArray<T extends ZodTypeAny, Cardinality extends ArrayCardinality = "many"> extends ZodType<arrayOutputType<T, Cardinality>, ZodArrayDef<T>, Cardinality extends "atleastone" ? [
	T["_input"],
	...T["_input"][]
] : T["_input"][]> {
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	get element(): T;
	min(minLength: number, message?: errorUtil.ErrMessage): this;
	max(maxLength: number, message?: errorUtil.ErrMessage): this;
	length(len: number, message?: errorUtil.ErrMessage): this;
	nonempty(message?: errorUtil.ErrMessage): ZodArray<T, "atleastone">;
	static create: <T_1 extends ZodTypeAny>(schema: T_1, params?: RawCreateParams) => ZodArray<T_1, "many">;
}
export declare type ZodNonEmptyArray<T extends ZodTypeAny> = ZodArray<T, "atleastone">;
export declare type UnknownKeysParam = "passthrough" | "strict" | "strip";
export interface ZodObjectDef<T extends ZodRawShape = ZodRawShape, UnknownKeys extends UnknownKeysParam = UnknownKeysParam, Catchall extends ZodTypeAny = ZodTypeAny> extends ZodTypeDef {
	typeName: ZodFirstPartyTypeKind.ZodObject;
	shape: () => T;
	catchall: Catchall;
	unknownKeys: UnknownKeys;
}
export declare type mergeTypes<A, B> = {
	[k in keyof A | keyof B]: k extends keyof B ? B[k] : k extends keyof A ? A[k] : never;
};
export declare type objectOutputType<Shape extends ZodRawShape, Catchall extends ZodTypeAny, UnknownKeys extends UnknownKeysParam = UnknownKeysParam> = objectUtil.flatten<objectUtil.addQuestionMarks<baseObjectOutputType<Shape>>> & CatchallOutput<Catchall> & PassthroughType<UnknownKeys>;
export declare type baseObjectOutputType<Shape extends ZodRawShape> = {
	[k in keyof Shape]: Shape[k]["_output"];
};
export declare type objectInputType<Shape extends ZodRawShape, Catchall extends ZodTypeAny, UnknownKeys extends UnknownKeysParam = UnknownKeysParam> = objectUtil.flatten<baseObjectInputType<Shape>> & CatchallInput<Catchall> & PassthroughType<UnknownKeys>;
export declare type baseObjectInputType<Shape extends ZodRawShape> = objectUtil.addQuestionMarks<{
	[k in keyof Shape]: Shape[k]["_input"];
}>;
export declare type CatchallOutput<T extends ZodType> = ZodType extends T ? unknown : {
	[k: string]: T["_output"];
};
export declare type CatchallInput<T extends ZodType> = ZodType extends T ? unknown : {
	[k: string]: T["_input"];
};
export declare type PassthroughType<T extends UnknownKeysParam> = T extends "passthrough" ? {
	[k: string]: unknown;
} : unknown;
export declare type deoptional<T extends ZodTypeAny> = T extends ZodOptional<infer U> ? deoptional<U> : T extends ZodNullable<infer U> ? ZodNullable<deoptional<U>> : T;
export declare type SomeZodObject = ZodObject<ZodRawShape, UnknownKeysParam, ZodTypeAny>;
export declare type noUnrecognized<Obj extends object, Shape extends object> = {
	[k in keyof Obj]: k extends keyof Shape ? Obj[k] : never;
};
declare class ZodObject<T extends ZodRawShape, UnknownKeys extends UnknownKeysParam = UnknownKeysParam, Catchall extends ZodTypeAny = ZodTypeAny, Output = objectOutputType<T, Catchall, UnknownKeys>, Input = objectInputType<T, Catchall, UnknownKeys>> extends ZodType<Output, ZodObjectDef<T, UnknownKeys, Catchall>, Input> {
	private _cached;
	_getCached(): {
		shape: T;
		keys: string[];
	};
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	get shape(): T;
	strict(message?: errorUtil.ErrMessage): ZodObject<T, "strict", Catchall>;
	strip(): ZodObject<T, "strip", Catchall>;
	passthrough(): ZodObject<T, "passthrough", Catchall>;
	/**
	 * @deprecated In most cases, this is no longer needed - unknown properties are now silently stripped.
	 * If you want to pass through unknown properties, use `.passthrough()` instead.
	 */
	nonstrict: () => ZodObject<T, "passthrough", Catchall>;
	extend<Augmentation extends ZodRawShape>(augmentation: Augmentation): ZodObject<objectUtil.extendShape<T, Augmentation>, UnknownKeys, Catchall>;
	/**
	 * @deprecated Use `.extend` instead
	 *  */
	augment: <Augmentation extends ZodRawShape>(augmentation: Augmentation) => ZodObject<objectUtil.extendShape<T, Augmentation>, UnknownKeys, Catchall, objectOutputType<objectUtil.extendShape<T, Augmentation>, Catchall, UnknownKeys>, objectInputType<objectUtil.extendShape<T, Augmentation>, Catchall, UnknownKeys>>;
	/**
	 * Prior to zod@1.0.12 there was a bug in the
	 * inferred type of merged objects. Please
	 * upgrade if you are experiencing issues.
	 */
	merge<Incoming extends AnyZodObject, Augmentation extends Incoming["shape"]>(merging: Incoming): ZodObject<objectUtil.extendShape<T, Augmentation>, Incoming["_def"]["unknownKeys"], Incoming["_def"]["catchall"]>;
	setKey<Key extends string, Schema extends ZodTypeAny>(key: Key, schema: Schema): ZodObject<T & {
		[k in Key]: Schema;
	}, UnknownKeys, Catchall>;
	catchall<Index extends ZodTypeAny>(index: Index): ZodObject<T, UnknownKeys, Index>;
	pick<Mask extends util.Exactly<{
		[k in keyof T]?: true;
	}, Mask>>(mask: Mask): ZodObject<Pick<T, Extract<keyof T, keyof Mask>>, UnknownKeys, Catchall>;
	omit<Mask extends util.Exactly<{
		[k in keyof T]?: true;
	}, Mask>>(mask: Mask): ZodObject<Omit<T, keyof Mask>, UnknownKeys, Catchall>;
	/**
	 * @deprecated
	 */
	deepPartial(): partialUtil.DeepPartial<this>;
	partial(): ZodObject<{
		[k in keyof T]: ZodOptional<T[k]>;
	}, UnknownKeys, Catchall>;
	partial<Mask extends util.Exactly<{
		[k in keyof T]?: true;
	}, Mask>>(mask: Mask): ZodObject<objectUtil.noNever<{
		[k in keyof T]: k extends keyof Mask ? ZodOptional<T[k]> : T[k];
	}>, UnknownKeys, Catchall>;
	required(): ZodObject<{
		[k in keyof T]: deoptional<T[k]>;
	}, UnknownKeys, Catchall>;
	required<Mask extends util.Exactly<{
		[k in keyof T]?: true;
	}, Mask>>(mask: Mask): ZodObject<objectUtil.noNever<{
		[k in keyof T]: k extends keyof Mask ? deoptional<T[k]> : T[k];
	}>, UnknownKeys, Catchall>;
	keyof(): ZodEnum<enumUtil.UnionToTupleString<keyof T>>;
	static create: <T_1 extends ZodRawShape>(shape: T_1, params?: RawCreateParams) => ZodObject<T_1, "strip", ZodTypeAny, {
		[k in keyof objectUtil.addQuestionMarks<baseObjectOutputType<T_1>, any>]: objectUtil.addQuestionMarks<baseObjectOutputType<T_1>, any>[k];
	}, {
		[k_1 in keyof baseObjectInputType<T_1>]: baseObjectInputType<T_1>[k_1];
	}>;
	static strictCreate: <T_1 extends ZodRawShape>(shape: T_1, params?: RawCreateParams) => ZodObject<T_1, "strict", ZodTypeAny, {
		[k in keyof objectUtil.addQuestionMarks<baseObjectOutputType<T_1>, any>]: objectUtil.addQuestionMarks<baseObjectOutputType<T_1>, any>[k];
	}, {
		[k_1 in keyof baseObjectInputType<T_1>]: baseObjectInputType<T_1>[k_1];
	}>;
	static lazycreate: <T_1 extends ZodRawShape>(shape: () => T_1, params?: RawCreateParams) => ZodObject<T_1, "strip", ZodTypeAny, {
		[k in keyof objectUtil.addQuestionMarks<baseObjectOutputType<T_1>, any>]: objectUtil.addQuestionMarks<baseObjectOutputType<T_1>, any>[k];
	}, {
		[k_1 in keyof baseObjectInputType<T_1>]: baseObjectInputType<T_1>[k_1];
	}>;
}
export declare type AnyZodObject = ZodObject<any, any, any>;
export declare type ZodUnionOptions = Readonly<[
	ZodTypeAny,
	...ZodTypeAny[]
]>;
export interface ZodUnionDef<T extends ZodUnionOptions = Readonly<[
	ZodTypeAny,
	ZodTypeAny,
	...ZodTypeAny[]
]>> extends ZodTypeDef {
	options: T;
	typeName: ZodFirstPartyTypeKind.ZodUnion;
}
declare class ZodUnion<T extends ZodUnionOptions> extends ZodType<T[number]["_output"], ZodUnionDef<T>, T[number]["_input"]> {
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	get options(): T;
	static create: <T_1 extends readonly [
		ZodTypeAny,
		ZodTypeAny,
		...ZodTypeAny[]
	]>(types: T_1, params?: RawCreateParams) => ZodUnion<T_1>;
}
export declare type ZodDiscriminatedUnionOption<Discriminator extends string> = ZodObject<{
	[key in Discriminator]: ZodTypeAny;
} & ZodRawShape, UnknownKeysParam, ZodTypeAny>;
export interface ZodDiscriminatedUnionDef<Discriminator extends string, Options extends ZodDiscriminatedUnionOption<string>[] = ZodDiscriminatedUnionOption<string>[]> extends ZodTypeDef {
	discriminator: Discriminator;
	options: Options;
	optionsMap: Map<Primitive, ZodDiscriminatedUnionOption<any>>;
	typeName: ZodFirstPartyTypeKind.ZodDiscriminatedUnion;
}
declare class ZodDiscriminatedUnion<Discriminator extends string, Options extends ZodDiscriminatedUnionOption<Discriminator>[]> extends ZodType<output<Options[number]>, ZodDiscriminatedUnionDef<Discriminator, Options>, input<Options[number]>> {
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	get discriminator(): Discriminator;
	get options(): Options;
	get optionsMap(): Map<Primitive, ZodDiscriminatedUnionOption<any>>;
	/**
	 * The constructor of the discriminated union schema. Its behaviour is very similar to that of the normal z.union() constructor.
	 * However, it only allows a union of objects, all of which need to share a discriminator property. This property must
	 * have a different value for each object in the union.
	 * @param discriminator the name of the discriminator property
	 * @param types an array of object schemas
	 * @param params
	 */
	static create<Discriminator extends string, Types extends [
		ZodDiscriminatedUnionOption<Discriminator>,
		...ZodDiscriminatedUnionOption<Discriminator>[]
	]>(discriminator: Discriminator, options: Types, params?: RawCreateParams): ZodDiscriminatedUnion<Discriminator, Types>;
}
export interface ZodIntersectionDef<T extends ZodTypeAny = ZodTypeAny, U extends ZodTypeAny = ZodTypeAny> extends ZodTypeDef {
	left: T;
	right: U;
	typeName: ZodFirstPartyTypeKind.ZodIntersection;
}
declare class ZodIntersection<T extends ZodTypeAny, U extends ZodTypeAny> extends ZodType<T["_output"] & U["_output"], ZodIntersectionDef<T, U>, T["_input"] & U["_input"]> {
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	static create: <T_1 extends ZodTypeAny, U_1 extends ZodTypeAny>(left: T_1, right: U_1, params?: RawCreateParams) => ZodIntersection<T_1, U_1>;
}
export declare type ZodTupleItems = [
	ZodTypeAny,
	...ZodTypeAny[]
];
export declare type AssertArray<T> = T extends any[] ? T : never;
export declare type OutputTypeOfTuple<T extends ZodTupleItems | [
]> = AssertArray<{
	[k in keyof T]: T[k] extends ZodType<any, any, any> ? T[k]["_output"] : never;
}>;
export declare type OutputTypeOfTupleWithRest<T extends ZodTupleItems | [
], Rest extends ZodTypeAny | null = null> = Rest extends ZodTypeAny ? [
	...OutputTypeOfTuple<T>,
	...Rest["_output"][]
] : OutputTypeOfTuple<T>;
export declare type InputTypeOfTuple<T extends ZodTupleItems | [
]> = AssertArray<{
	[k in keyof T]: T[k] extends ZodType<any, any, any> ? T[k]["_input"] : never;
}>;
export declare type InputTypeOfTupleWithRest<T extends ZodTupleItems | [
], Rest extends ZodTypeAny | null = null> = Rest extends ZodTypeAny ? [
	...InputTypeOfTuple<T>,
	...Rest["_input"][]
] : InputTypeOfTuple<T>;
export interface ZodTupleDef<T extends ZodTupleItems | [
] = ZodTupleItems, Rest extends ZodTypeAny | null = null> extends ZodTypeDef {
	items: T;
	rest: Rest;
	typeName: ZodFirstPartyTypeKind.ZodTuple;
}
export declare type AnyZodTuple = ZodTuple<[
	ZodTypeAny,
	...ZodTypeAny[]
] | [
], ZodTypeAny | null>;
declare class ZodTuple<T extends [
	ZodTypeAny,
	...ZodTypeAny[]
] | [
] = [
	ZodTypeAny,
	...ZodTypeAny[]
], Rest extends ZodTypeAny | null = null> extends ZodType<OutputTypeOfTupleWithRest<T, Rest>, ZodTupleDef<T, Rest>, InputTypeOfTupleWithRest<T, Rest>> {
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	get items(): T;
	rest<Rest extends ZodTypeAny>(rest: Rest): ZodTuple<T, Rest>;
	static create: <T_1 extends [
	] | [
		ZodTypeAny,
		...ZodTypeAny[]
	]>(schemas: T_1, params?: RawCreateParams) => ZodTuple<T_1, null>;
}
export interface ZodRecordDef<Key extends KeySchema = ZodString, Value extends ZodTypeAny = ZodTypeAny> extends ZodTypeDef {
	valueType: Value;
	keyType: Key;
	typeName: ZodFirstPartyTypeKind.ZodRecord;
}
export declare type KeySchema = ZodType<string | number | symbol, any, any>;
export declare type RecordType<K extends string | number | symbol, V> = [
	string
] extends [
	K
] ? Record<K, V> : [
	number
] extends [
	K
] ? Record<K, V> : [
	symbol
] extends [
	K
] ? Record<K, V> : [
	BRAND<string | number | symbol>
] extends [
	K
] ? Record<K, V> : Partial<Record<K, V>>;
declare class ZodRecord<Key extends KeySchema = ZodString, Value extends ZodTypeAny = ZodTypeAny> extends ZodType<RecordType<Key["_output"], Value["_output"]>, ZodRecordDef<Key, Value>, RecordType<Key["_input"], Value["_input"]>> {
	get keySchema(): Key;
	get valueSchema(): Value;
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	get element(): Value;
	static create<Value extends ZodTypeAny>(valueType: Value, params?: RawCreateParams): ZodRecord<ZodString, Value>;
	static create<Keys extends KeySchema, Value extends ZodTypeAny>(keySchema: Keys, valueType: Value, params?: RawCreateParams): ZodRecord<Keys, Value>;
}
export interface ZodMapDef<Key extends ZodTypeAny = ZodTypeAny, Value extends ZodTypeAny = ZodTypeAny> extends ZodTypeDef {
	valueType: Value;
	keyType: Key;
	typeName: ZodFirstPartyTypeKind.ZodMap;
}
declare class ZodMap<Key extends ZodTypeAny = ZodTypeAny, Value extends ZodTypeAny = ZodTypeAny> extends ZodType<Map<Key["_output"], Value["_output"]>, ZodMapDef<Key, Value>, Map<Key["_input"], Value["_input"]>> {
	get keySchema(): Key;
	get valueSchema(): Value;
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	static create: <Key_1 extends ZodTypeAny = ZodTypeAny, Value_1 extends ZodTypeAny = ZodTypeAny>(keyType: Key_1, valueType: Value_1, params?: RawCreateParams) => ZodMap<Key_1, Value_1>;
}
export interface ZodSetDef<Value extends ZodTypeAny = ZodTypeAny> extends ZodTypeDef {
	valueType: Value;
	typeName: ZodFirstPartyTypeKind.ZodSet;
	minSize: {
		value: number;
		message?: string;
	} | null;
	maxSize: {
		value: number;
		message?: string;
	} | null;
}
declare class ZodSet<Value extends ZodTypeAny = ZodTypeAny> extends ZodType<Set<Value["_output"]>, ZodSetDef<Value>, Set<Value["_input"]>> {
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	min(minSize: number, message?: errorUtil.ErrMessage): this;
	max(maxSize: number, message?: errorUtil.ErrMessage): this;
	size(size: number, message?: errorUtil.ErrMessage): this;
	nonempty(message?: errorUtil.ErrMessage): ZodSet<Value>;
	static create: <Value_1 extends ZodTypeAny = ZodTypeAny>(valueType: Value_1, params?: RawCreateParams) => ZodSet<Value_1>;
}
export interface ZodFunctionDef<Args extends ZodTuple<any, any> = ZodTuple<any, any>, Returns extends ZodTypeAny = ZodTypeAny> extends ZodTypeDef {
	args: Args;
	returns: Returns;
	typeName: ZodFirstPartyTypeKind.ZodFunction;
}
export declare type OuterTypeOfFunction<Args extends ZodTuple<any, any>, Returns extends ZodTypeAny> = Args["_input"] extends Array<any> ? (...args: Args["_input"]) => Returns["_output"] : never;
export declare type InnerTypeOfFunction<Args extends ZodTuple<any, any>, Returns extends ZodTypeAny> = Args["_output"] extends Array<any> ? (...args: Args["_output"]) => Returns["_input"] : never;
declare class ZodFunction<Args extends ZodTuple<any, any>, Returns extends ZodTypeAny> extends ZodType<OuterTypeOfFunction<Args, Returns>, ZodFunctionDef<Args, Returns>, InnerTypeOfFunction<Args, Returns>> {
	_parse(input: ParseInput): ParseReturnType<any>;
	parameters(): Args;
	returnType(): Returns;
	args<Items extends Parameters<(typeof ZodTuple)["create"]>[0]>(...items: Items): ZodFunction<ZodTuple<Items, ZodUnknown>, Returns>;
	returns<NewReturnType extends ZodType<any, any, any>>(returnType: NewReturnType): ZodFunction<Args, NewReturnType>;
	implement<F extends InnerTypeOfFunction<Args, Returns>>(func: F): ReturnType<F> extends Returns["_output"] ? (...args: Args["_input"]) => ReturnType<F> : OuterTypeOfFunction<Args, Returns>;
	strictImplement(func: InnerTypeOfFunction<Args, Returns>): InnerTypeOfFunction<Args, Returns>;
	validate: <F extends InnerTypeOfFunction<Args, Returns>>(func: F) => ReturnType<F> extends Returns["_output"] ? (...args: Args["_input"]) => ReturnType<F> : OuterTypeOfFunction<Args, Returns>;
	static create(): ZodFunction<ZodTuple<[
	], ZodUnknown>, ZodUnknown>;
	static create<T extends AnyZodTuple = ZodTuple<[
	], ZodUnknown>>(args: T): ZodFunction<T, ZodUnknown>;
	static create<T extends AnyZodTuple, U extends ZodTypeAny>(args: T, returns: U): ZodFunction<T, U>;
	static create<T extends AnyZodTuple = ZodTuple<[
	], ZodUnknown>, U extends ZodTypeAny = ZodUnknown>(args: T, returns: U, params?: RawCreateParams): ZodFunction<T, U>;
}
export interface ZodLazyDef<T extends ZodTypeAny = ZodTypeAny> extends ZodTypeDef {
	getter: () => T;
	typeName: ZodFirstPartyTypeKind.ZodLazy;
}
declare class ZodLazy<T extends ZodTypeAny> extends ZodType<output<T>, ZodLazyDef<T>, input<T>> {
	get schema(): T;
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	static create: <T_1 extends ZodTypeAny>(getter: () => T_1, params?: RawCreateParams) => ZodLazy<T_1>;
}
export interface ZodLiteralDef<T = any> extends ZodTypeDef {
	value: T;
	typeName: ZodFirstPartyTypeKind.ZodLiteral;
}
declare class ZodLiteral<T> extends ZodType<T, ZodLiteralDef<T>, T> {
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	get value(): T;
	static create: <T_1 extends Primitive>(value: T_1, params?: RawCreateParams) => ZodLiteral<T_1>;
}
export declare type ArrayKeys = keyof any[];
export declare type Indices<T> = Exclude<keyof T, ArrayKeys>;
export declare type EnumValues<T extends string = string> = readonly [
	T,
	...T[]
];
export declare type Values<T extends EnumValues> = {
	[k in T[number]]: k;
};
export interface ZodEnumDef<T extends EnumValues = EnumValues> extends ZodTypeDef {
	values: T;
	typeName: ZodFirstPartyTypeKind.ZodEnum;
}
export declare type Writeable<T> = {
	-readonly [P in keyof T]: T[P];
};
export declare type FilterEnum<Values, ToExclude> = Values extends [
] ? [
] : Values extends [
	infer Head,
	...infer Rest
] ? Head extends ToExclude ? FilterEnum<Rest, ToExclude> : [
	Head,
	...FilterEnum<Rest, ToExclude>
] : never;
export declare type typecast<A, T> = A extends T ? A : never;
declare function createZodEnum<U extends string, T extends Readonly<[
	U,
	...U[]
]>>(values: T, params?: RawCreateParams): ZodEnum<Writeable<T>>;
declare function createZodEnum<U extends string, T extends [
	U,
	...U[]
]>(values: T, params?: RawCreateParams): ZodEnum<T>;
declare class ZodEnum<T extends [
	string,
	...string[]
]> extends ZodType<T[number], ZodEnumDef<T>, T[number]> {
	#private;
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	get options(): T;
	get enum(): Values<T>;
	get Values(): Values<T>;
	get Enum(): Values<T>;
	extract<ToExtract extends readonly [
		T[number],
		...T[number][]
	]>(values: ToExtract, newDef?: RawCreateParams): ZodEnum<Writeable<ToExtract>>;
	exclude<ToExclude extends readonly [
		T[number],
		...T[number][]
	]>(values: ToExclude, newDef?: RawCreateParams): ZodEnum<typecast<Writeable<FilterEnum<T, ToExclude[number]>>, [
		string,
		...string[]
	]>>;
	static create: typeof createZodEnum;
}
export interface ZodNativeEnumDef<T extends EnumLike = EnumLike> extends ZodTypeDef {
	values: T;
	typeName: ZodFirstPartyTypeKind.ZodNativeEnum;
}
export declare type EnumLike = {
	[k: string]: string | number;
	[nu: number]: string;
};
declare class ZodNativeEnum<T extends EnumLike> extends ZodType<T[keyof T], ZodNativeEnumDef<T>, T[keyof T]> {
	#private;
	_parse(input: ParseInput): ParseReturnType<T[keyof T]>;
	get enum(): T;
	static create: <T_1 extends EnumLike>(values: T_1, params?: RawCreateParams) => ZodNativeEnum<T_1>;
}
export interface ZodPromiseDef<T extends ZodTypeAny = ZodTypeAny> extends ZodTypeDef {
	type: T;
	typeName: ZodFirstPartyTypeKind.ZodPromise;
}
declare class ZodPromise<T extends ZodTypeAny> extends ZodType<Promise<T["_output"]>, ZodPromiseDef<T>, Promise<T["_input"]>> {
	unwrap(): T;
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	static create: <T_1 extends ZodTypeAny>(schema: T_1, params?: RawCreateParams) => ZodPromise<T_1>;
}
export declare type Refinement<T> = (arg: T, ctx: RefinementCtx) => any;
export declare type SuperRefinement<T> = (arg: T, ctx: RefinementCtx) => void | Promise<void>;
export declare type RefinementEffect<T> = {
	type: "refinement";
	refinement: (arg: T, ctx: RefinementCtx) => any;
};
export declare type TransformEffect<T> = {
	type: "transform";
	transform: (arg: T, ctx: RefinementCtx) => any;
};
export declare type PreprocessEffect<T> = {
	type: "preprocess";
	transform: (arg: T, ctx: RefinementCtx) => any;
};
export declare type Effect<T> = RefinementEffect<T> | TransformEffect<T> | PreprocessEffect<T>;
export interface ZodEffectsDef<T extends ZodTypeAny = ZodTypeAny> extends ZodTypeDef {
	schema: T;
	typeName: ZodFirstPartyTypeKind.ZodEffects;
	effect: Effect<any>;
}
declare class ZodEffects<T extends ZodTypeAny, Output = output<T>, Input = input<T>> extends ZodType<Output, ZodEffectsDef<T>, Input> {
	innerType(): T;
	sourceType(): T;
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	static create: <I extends ZodTypeAny>(schema: I, effect: Effect<I["_output"]>, params?: RawCreateParams) => ZodEffects<I, I["_output"], input<I>>;
	static createWithPreprocess: <I extends ZodTypeAny>(preprocess: (arg: unknown, ctx: RefinementCtx) => unknown, schema: I, params?: RawCreateParams) => ZodEffects<I, I["_output"], unknown>;
}
export interface ZodOptionalDef<T extends ZodTypeAny = ZodTypeAny> extends ZodTypeDef {
	innerType: T;
	typeName: ZodFirstPartyTypeKind.ZodOptional;
}
export declare type ZodOptionalType<T extends ZodTypeAny> = ZodOptional<T>;
declare class ZodOptional<T extends ZodTypeAny> extends ZodType<T["_output"] | undefined, ZodOptionalDef<T>, T["_input"] | undefined> {
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	unwrap(): T;
	static create: <T_1 extends ZodTypeAny>(type: T_1, params?: RawCreateParams) => ZodOptional<T_1>;
}
export interface ZodNullableDef<T extends ZodTypeAny = ZodTypeAny> extends ZodTypeDef {
	innerType: T;
	typeName: ZodFirstPartyTypeKind.ZodNullable;
}
export declare type ZodNullableType<T extends ZodTypeAny> = ZodNullable<T>;
declare class ZodNullable<T extends ZodTypeAny> extends ZodType<T["_output"] | null, ZodNullableDef<T>, T["_input"] | null> {
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	unwrap(): T;
	static create: <T_1 extends ZodTypeAny>(type: T_1, params?: RawCreateParams) => ZodNullable<T_1>;
}
export interface ZodDefaultDef<T extends ZodTypeAny = ZodTypeAny> extends ZodTypeDef {
	innerType: T;
	defaultValue: () => util.noUndefined<T["_input"]>;
	typeName: ZodFirstPartyTypeKind.ZodDefault;
}
declare class ZodDefault<T extends ZodTypeAny> extends ZodType<util.noUndefined<T["_output"]>, ZodDefaultDef<T>, T["_input"] | undefined> {
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	removeDefault(): T;
	static create: <T_1 extends ZodTypeAny>(type: T_1, params: {
		errorMap?: ZodErrorMap | undefined;
		invalid_type_error?: string | undefined;
		required_error?: string | undefined;
		message?: string | undefined;
		description?: string | undefined;
	} & {
		default: T_1["_input"] | (() => util.noUndefined<T_1["_input"]>);
	}) => ZodDefault<T_1>;
}
export interface ZodCatchDef<T extends ZodTypeAny = ZodTypeAny> extends ZodTypeDef {
	innerType: T;
	catchValue: (ctx: {
		error: ZodError;
		input: unknown;
	}) => T["_input"];
	typeName: ZodFirstPartyTypeKind.ZodCatch;
}
declare class ZodCatch<T extends ZodTypeAny> extends ZodType<T["_output"], ZodCatchDef<T>, unknown> {
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	removeCatch(): T;
	static create: <T_1 extends ZodTypeAny>(type: T_1, params: {
		errorMap?: ZodErrorMap | undefined;
		invalid_type_error?: string | undefined;
		required_error?: string | undefined;
		message?: string | undefined;
		description?: string | undefined;
	} & {
		catch: T_1["_output"] | (() => T_1["_output"]);
	}) => ZodCatch<T_1>;
}
export interface ZodNaNDef extends ZodTypeDef {
	typeName: ZodFirstPartyTypeKind.ZodNaN;
}
declare class ZodNaN extends ZodType<number, ZodNaNDef, number> {
	_parse(input: ParseInput): ParseReturnType<any>;
	static create: (params?: RawCreateParams) => ZodNaN;
}
export interface ZodBrandedDef<T extends ZodTypeAny> extends ZodTypeDef {
	type: T;
	typeName: ZodFirstPartyTypeKind.ZodBranded;
}
declare const BRAND: unique symbol;
export declare type BRAND<T extends string | number | symbol> = {
	[BRAND]: {
		[k in T]: true;
	};
};
declare class ZodBranded<T extends ZodTypeAny, B extends string | number | symbol> extends ZodType<T["_output"] & BRAND<B>, ZodBrandedDef<T>, T["_input"]> {
	_parse(input: ParseInput): ParseReturnType<any>;
	unwrap(): T;
}
export interface ZodPipelineDef<A extends ZodTypeAny, B extends ZodTypeAny> extends ZodTypeDef {
	in: A;
	out: B;
	typeName: ZodFirstPartyTypeKind.ZodPipeline;
}
declare class ZodPipeline<A extends ZodTypeAny, B extends ZodTypeAny> extends ZodType<B["_output"], ZodPipelineDef<A, B>, A["_input"]> {
	_parse(input: ParseInput): ParseReturnType<any>;
	static create<A extends ZodTypeAny, B extends ZodTypeAny>(a: A, b: B): ZodPipeline<A, B>;
}
export declare type BuiltIn = (((...args: any[]) => any) | (new (...args: any[]) => any)) | {
	readonly [Symbol.toStringTag]: string;
} | Date | Error | Generator | Promise<unknown> | RegExp;
export declare type MakeReadonly<T> = T extends Map<infer K, infer V> ? ReadonlyMap<K, V> : T extends Set<infer V> ? ReadonlySet<V> : T extends [
	infer Head,
	...infer Tail
] ? readonly [
	Head,
	...Tail
] : T extends Array<infer V> ? ReadonlyArray<V> : T extends BuiltIn ? T : Readonly<T>;
export interface ZodReadonlyDef<T extends ZodTypeAny = ZodTypeAny> extends ZodTypeDef {
	innerType: T;
	typeName: ZodFirstPartyTypeKind.ZodReadonly;
}
declare class ZodReadonly<T extends ZodTypeAny> extends ZodType<MakeReadonly<T["_output"]>, ZodReadonlyDef<T>, MakeReadonly<T["_input"]>> {
	_parse(input: ParseInput): ParseReturnType<this["_output"]>;
	static create: <T_1 extends ZodTypeAny>(type: T_1, params?: RawCreateParams) => ZodReadonly<T_1>;
	unwrap(): T;
}
export declare type CustomParams = CustomErrorParams & {
	fatal?: boolean;
};
declare function custom<T>(check?: (data: any) => any, params?: string | CustomParams | ((input: any) => CustomParams), 
/**
 * @deprecated
 *
 * Pass `fatal` into the params object instead:
 *
 * ```ts
 * z.string().custom((val) => val.length > 5, { fatal: false })
 * ```
 *
 */
fatal?: boolean): ZodType<T, ZodTypeDef, T>;
declare const late: {
	object: <T extends ZodRawShape>(shape: () => T, params?: RawCreateParams) => ZodObject<T, "strip", ZodTypeAny, {
		[k in keyof objectUtil.addQuestionMarks<baseObjectOutputType<T>, any>]: objectUtil.addQuestionMarks<baseObjectOutputType<T>, any>[k];
	}, {
		[k_1 in keyof baseObjectInputType<T>]: baseObjectInputType<T>[k_1];
	}>;
};
declare enum ZodFirstPartyTypeKind {
	ZodString = "ZodString",
	ZodNumber = "ZodNumber",
	ZodNaN = "ZodNaN",
	ZodBigInt = "ZodBigInt",
	ZodBoolean = "ZodBoolean",
	ZodDate = "ZodDate",
	ZodSymbol = "ZodSymbol",
	ZodUndefined = "ZodUndefined",
	ZodNull = "ZodNull",
	ZodAny = "ZodAny",
	ZodUnknown = "ZodUnknown",
	ZodNever = "ZodNever",
	ZodVoid = "ZodVoid",
	ZodArray = "ZodArray",
	ZodObject = "ZodObject",
	ZodUnion = "ZodUnion",
	ZodDiscriminatedUnion = "ZodDiscriminatedUnion",
	ZodIntersection = "ZodIntersection",
	ZodTuple = "ZodTuple",
	ZodRecord = "ZodRecord",
	ZodMap = "ZodMap",
	ZodSet = "ZodSet",
	ZodFunction = "ZodFunction",
	ZodLazy = "ZodLazy",
	ZodLiteral = "ZodLiteral",
	ZodEnum = "ZodEnum",
	ZodEffects = "ZodEffects",
	ZodNativeEnum = "ZodNativeEnum",
	ZodOptional = "ZodOptional",
	ZodNullable = "ZodNullable",
	ZodDefault = "ZodDefault",
	ZodCatch = "ZodCatch",
	ZodPromise = "ZodPromise",
	ZodBranded = "ZodBranded",
	ZodPipeline = "ZodPipeline",
	ZodReadonly = "ZodReadonly"
}
export declare type ZodFirstPartySchemaTypes = ZodString | ZodNumber | ZodNaN | ZodBigInt | ZodBoolean | ZodDate | ZodUndefined | ZodNull | ZodAny | ZodUnknown | ZodNever | ZodVoid | ZodArray<any, any> | ZodObject<any, any, any> | ZodUnion<any> | ZodDiscriminatedUnion<any, any> | ZodIntersection<any, any> | ZodTuple<any, any> | ZodRecord<any, any> | ZodMap<any> | ZodSet<any> | ZodFunction<any, any> | ZodLazy<any> | ZodLiteral<any> | ZodEnum<any> | ZodEffects<any, any, any> | ZodNativeEnum<any> | ZodOptional<any> | ZodNullable<any> | ZodDefault<any> | ZodCatch<any> | ZodPromise<any> | ZodBranded<any, any> | ZodPipeline<any, any> | ZodReadonly<any> | ZodSymbol;
declare abstract class Class {
	constructor(..._: any[]);
}
declare const instanceOfType: <T extends typeof Class>(cls: T, params?: CustomParams) => ZodType<InstanceType<T>, ZodTypeDef, InstanceType<T>>;
declare const stringType: (params?: ({
	errorMap?: ZodErrorMap | undefined;
	invalid_type_error?: string | undefined;
	required_error?: string | undefined;
	message?: string | undefined;
	description?: string | undefined;
} & {
	coerce?: true | undefined;
}) | undefined) => ZodString;
declare const numberType: (params?: ({
	errorMap?: ZodErrorMap | undefined;
	invalid_type_error?: string | undefined;
	required_error?: string | undefined;
	message?: string | undefined;
	description?: string | undefined;
} & {
	coerce?: boolean | undefined;
}) | undefined) => ZodNumber;
declare const nanType: (params?: RawCreateParams) => ZodNaN;
declare const bigIntType: (params?: ({
	errorMap?: ZodErrorMap | undefined;
	invalid_type_error?: string | undefined;
	required_error?: string | undefined;
	message?: string | undefined;
	description?: string | undefined;
} & {
	coerce?: boolean | undefined;
}) | undefined) => ZodBigInt;
declare const booleanType: (params?: ({
	errorMap?: ZodErrorMap | undefined;
	invalid_type_error?: string | undefined;
	required_error?: string | undefined;
	message?: string | undefined;
	description?: string | undefined;
} & {
	coerce?: boolean | undefined;
}) | undefined) => ZodBoolean;
declare const dateType: (params?: ({
	errorMap?: ZodErrorMap | undefined;
	invalid_type_error?: string | undefined;
	required_error?: string | undefined;
	message?: string | undefined;
	description?: string | undefined;
} & {
	coerce?: boolean | undefined;
}) | undefined) => ZodDate;
declare const symbolType: (params?: RawCreateParams) => ZodSymbol;
declare const undefinedType: (params?: RawCreateParams) => ZodUndefined;
declare const nullType: (params?: RawCreateParams) => ZodNull;
declare const anyType: (params?: RawCreateParams) => ZodAny;
declare const unknownType: (params?: RawCreateParams) => ZodUnknown;
declare const neverType: (params?: RawCreateParams) => ZodNever;
declare const voidType: (params?: RawCreateParams) => ZodVoid;
declare const arrayType: <T extends ZodTypeAny>(schema: T, params?: RawCreateParams) => ZodArray<T, "many">;
declare const objectType: <T extends ZodRawShape>(shape: T, params?: RawCreateParams) => ZodObject<T, "strip", ZodTypeAny, {
	[k in keyof objectUtil.addQuestionMarks<baseObjectOutputType<T>, any>]: objectUtil.addQuestionMarks<baseObjectOutputType<T>, any>[k];
}, {
	[k_1 in keyof baseObjectInputType<T>]: baseObjectInputType<T>[k_1];
}>;
declare const strictObjectType: <T extends ZodRawShape>(shape: T, params?: RawCreateParams) => ZodObject<T, "strict", ZodTypeAny, {
	[k in keyof objectUtil.addQuestionMarks<baseObjectOutputType<T>, any>]: objectUtil.addQuestionMarks<baseObjectOutputType<T>, any>[k];
}, {
	[k_1 in keyof baseObjectInputType<T>]: baseObjectInputType<T>[k_1];
}>;
declare const unionType: <T extends readonly [
	ZodTypeAny,
	ZodTypeAny,
	...ZodTypeAny[]
]>(types: T, params?: RawCreateParams) => ZodUnion<T>;
declare const discriminatedUnionType: typeof ZodDiscriminatedUnion.create;
declare const intersectionType: <T extends ZodTypeAny, U extends ZodTypeAny>(left: T, right: U, params?: RawCreateParams) => ZodIntersection<T, U>;
declare const tupleType: <T extends [
] | [
	ZodTypeAny,
	...ZodTypeAny[]
]>(schemas: T, params?: RawCreateParams) => ZodTuple<T, null>;
declare const recordType: typeof ZodRecord.create;
declare const mapType: <Key extends ZodTypeAny = ZodTypeAny, Value extends ZodTypeAny = ZodTypeAny>(keyType: Key, valueType: Value, params?: RawCreateParams) => ZodMap<Key, Value>;
declare const setType: <Value extends ZodTypeAny = ZodTypeAny>(valueType: Value, params?: RawCreateParams) => ZodSet<Value>;
declare const functionType: typeof ZodFunction.create;
declare const lazyType: <T extends ZodTypeAny>(getter: () => T, params?: RawCreateParams) => ZodLazy<T>;
declare const literalType: <T extends Primitive>(value: T, params?: RawCreateParams) => ZodLiteral<T>;
declare const enumType: typeof createZodEnum;
declare const nativeEnumType: <T extends EnumLike>(values: T, params?: RawCreateParams) => ZodNativeEnum<T>;
declare const promiseType: <T extends ZodTypeAny>(schema: T, params?: RawCreateParams) => ZodPromise<T>;
declare const effectsType: <I extends ZodTypeAny>(schema: I, effect: Effect<I["_output"]>, params?: RawCreateParams) => ZodEffects<I, I["_output"], input<I>>;
declare const optionalType: <T extends ZodTypeAny>(type: T, params?: RawCreateParams) => ZodOptional<T>;
declare const nullableType: <T extends ZodTypeAny>(type: T, params?: RawCreateParams) => ZodNullable<T>;
declare const preprocessType: <I extends ZodTypeAny>(preprocess: (arg: unknown, ctx: RefinementCtx) => unknown, schema: I, params?: RawCreateParams) => ZodEffects<I, I["_output"], unknown>;
declare const pipelineType: typeof ZodPipeline.create;
declare const ostring: () => ZodOptional<ZodString>;
declare const onumber: () => ZodOptional<ZodNumber>;
declare const oboolean: () => ZodOptional<ZodBoolean>;
declare const coerce: {
	string: (params?: ({
		errorMap?: ZodErrorMap | undefined;
		invalid_type_error?: string | undefined;
		required_error?: string | undefined;
		message?: string | undefined;
		description?: string | undefined;
	} & {
		coerce?: true | undefined;
	}) | undefined) => ZodString;
	number: (params?: ({
		errorMap?: ZodErrorMap | undefined;
		invalid_type_error?: string | undefined;
		required_error?: string | undefined;
		message?: string | undefined;
		description?: string | undefined;
	} & {
		coerce?: boolean | undefined;
	}) | undefined) => ZodNumber;
	boolean: (params?: ({
		errorMap?: ZodErrorMap | undefined;
		invalid_type_error?: string | undefined;
		required_error?: string | undefined;
		message?: string | undefined;
		description?: string | undefined;
	} & {
		coerce?: boolean | undefined;
	}) | undefined) => ZodBoolean;
	bigint: (params?: ({
		errorMap?: ZodErrorMap | undefined;
		invalid_type_error?: string | undefined;
		required_error?: string | undefined;
		message?: string | undefined;
		description?: string | undefined;
	} & {
		coerce?: boolean | undefined;
	}) | undefined) => ZodBigInt;
	date: (params?: ({
		errorMap?: ZodErrorMap | undefined;
		invalid_type_error?: string | undefined;
		required_error?: string | undefined;
		message?: string | undefined;
		description?: string | undefined;
	} & {
		coerce?: boolean | undefined;
	}) | undefined) => ZodDate;
};
declare const NEVER: never;
export type Language = "css" | "javascript" | "plaintext" | "typescript" | "html" | "json";
export declare const SUPPORTED_LANGUAGES: ReadonlySet<Language>;
export declare const defaultTheme: Theme;
declare const backdropSchema: z.ZodObject<{
	kind: z.ZodLiteral<"BACKDROP">;
	value: z.ZodUnion<[
		z.ZodObject<{
			kind: z.ZodLiteral<"COLOR">;
			value: z.ZodUnion<[
				z.ZodString,
				z.ZodString
			]>;
		}, "strip", z.ZodTypeAny, {
			value: string;
			kind: "COLOR";
		}, {
			value: string;
			kind: "COLOR";
		}>,
		z.ZodObject<{
			kind: z.ZodLiteral<"LINEAR_GRADIENT">;
			stops: z.ZodArray<z.ZodObject<{
				color: z.ZodObject<{
					kind: z.ZodLiteral<"COLOR">;
					value: z.ZodUnion<[
						z.ZodString,
						z.ZodString
					]>;
				}, "strip", z.ZodTypeAny, {
					value: string;
					kind: "COLOR";
				}, {
					value: string;
					kind: "COLOR";
				}>;
				position: z.ZodNumber;
			}, "strip", z.ZodTypeAny, {
				color: {
					value: string;
					kind: "COLOR";
				};
				position: number;
			}, {
				color: {
					value: string;
					kind: "COLOR";
				};
				position: number;
			}>, "many">;
			angle: z.ZodNumber;
		}, "strip", z.ZodTypeAny, {
			angle: number;
			kind: "LINEAR_GRADIENT";
			stops: {
				color: {
					value: string;
					kind: "COLOR";
				};
				position: number;
			}[];
		}, {
			angle: number;
			kind: "LINEAR_GRADIENT";
			stops: {
				color: {
					value: string;
					kind: "COLOR";
				};
				position: number;
			}[];
		}>
	]>;
}, "strip", z.ZodTypeAny, {
	value: {
		value: string;
		kind: "COLOR";
	} | {
		angle: number;
		kind: "LINEAR_GRADIENT";
		stops: {
			color: {
				value: string;
				kind: "COLOR";
			};
			position: number;
		}[];
	};
	kind: "BACKDROP";
}, {
	value: {
		value: string;
		kind: "COLOR";
	} | {
		angle: number;
		kind: "LINEAR_GRADIENT";
		stops: {
			color: {
				value: string;
				kind: "COLOR";
			};
			position: number;
		}[];
	};
	kind: "BACKDROP";
}>;
export type BackgroundSchema = z.infer<typeof backdropSchema>;
export declare const themeSchema: z.ZodObject<{
	version: z.ZodLiteral<0>;
	verticalAlign: z.ZodUnion<[
		z.ZodLiteral<"top">,
		z.ZodLiteral<"middle">
	]>;
	padding: z.ZodTuple<[
		z.ZodNumber,
		z.ZodNumber,
		z.ZodNumber,
		z.ZodNumber
	], null>;
	animation: z.ZodObject<{
		function: z.ZodUnion<[
			z.ZodLiteral<"ease">,
			z.ZodLiteral<"ease-in">,
			z.ZodLiteral<"ease-out">,
			z.ZodLiteral<"ease-in-out">,
			z.ZodLiteral<"linear">
		]>;
		duration: z.ZodNumber;
	}, "strip", z.ZodTypeAny, {
		function: "linear" | "ease" | "ease-in" | "ease-out" | "ease-in-out";
		duration: number;
	}, {
		function: "linear" | "ease" | "ease-in" | "ease-out" | "ease-in-out";
		duration: number;
	}>;
	layers: z.ZodObject<{
		lineNumbers: z.ZodObject<{
			enabled: z.ZodBoolean;
			typography: z.ZodObject<{
				color: z.ZodObject<{
					kind: z.ZodLiteral<"COLOR">;
					value: z.ZodUnion<[
						z.ZodString,
						z.ZodString
					]>;
				}, "strip", z.ZodTypeAny, {
					value: string;
					kind: "COLOR";
				}, {
					value: string;
					kind: "COLOR";
				}>;
				weight: z.ZodUnion<[
					z.ZodLiteral<"normal">,
					z.ZodLiteral<"bold">
				]>;
				style: z.ZodUnion<[
					z.ZodLiteral<"normal">,
					z.ZodLiteral<"italic">
				]>;
			}, "strip", z.ZodTypeAny, {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			}, {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			}>;
			horizontalMargin: z.ZodTuple<[
				z.ZodNumber,
				z.ZodNumber
			], null>;
		}, "strip", z.ZodTypeAny, {
			enabled: boolean;
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			};
			horizontalMargin: [
				number,
				number
			];
		}, {
			enabled: boolean;
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			};
			horizontalMargin: [
				number,
				number
			];
		}>;
		tokens: z.ZodObject<{
			typography: z.ZodIntersection<z.ZodObject<{
				color: z.ZodObject<{
					kind: z.ZodLiteral<"COLOR">;
					value: z.ZodUnion<[
						z.ZodString,
						z.ZodString
					]>;
				}, "strip", z.ZodTypeAny, {
					value: string;
					kind: "COLOR";
				}, {
					value: string;
					kind: "COLOR";
				}>;
				weight: z.ZodUnion<[
					z.ZodLiteral<"normal">,
					z.ZodLiteral<"bold">
				]>;
				style: z.ZodUnion<[
					z.ZodLiteral<"normal">,
					z.ZodLiteral<"italic">
				]>;
			}, "strip", z.ZodTypeAny, {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			}, {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			}>, z.ZodObject<{
				kind: z.ZodLiteral<"TYPOGRAPHY">;
				fontFamily: z.ZodString;
				lineHeight: z.ZodNumber;
				fontSizeFactor: z.ZodNumber;
			}, "strip", z.ZodTypeAny, {
				fontFamily: string;
				lineHeight: number;
				kind: "TYPOGRAPHY";
				fontSizeFactor: number;
			}, {
				fontFamily: string;
				lineHeight: number;
				kind: "TYPOGRAPHY";
				fontSizeFactor: number;
			}>>;
			colors: z.ZodObject<{
				string: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				number: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				keyword: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				alternativeKeyword: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				tag: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				alternativeTag: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				attribute: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				alternativeAttribute: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				declaration: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				literal: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				value: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				operator: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				invocation: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				type: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				comment: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				alternativeComment: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
				punctuation: z.ZodObject<{
					color: z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>;
					weight: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"bold">
					]>;
					style: z.ZodUnion<[
						z.ZodLiteral<"normal">,
						z.ZodLiteral<"italic">
					]>;
				}, "strip", z.ZodTypeAny, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}, {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				}>;
			}, "strip", z.ZodTypeAny, {
				string: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				number: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				type: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				value: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				literal: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				comment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				keyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeKeyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				tag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeTag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				attribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeAttribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				declaration: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				operator: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				invocation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeComment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				punctuation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
			}, {
				string: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				number: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				type: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				value: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				literal: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				comment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				keyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeKeyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				tag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeTag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				attribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeAttribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				declaration: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				operator: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				invocation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeComment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				punctuation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
			}>;
		}, "strip", z.ZodTypeAny, {
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			} & {
				fontFamily: string;
				lineHeight: number;
				kind: "TYPOGRAPHY";
				fontSizeFactor: number;
			};
			colors: {
				string: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				number: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				type: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				value: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				literal: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				comment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				keyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeKeyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				tag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeTag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				attribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeAttribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				declaration: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				operator: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				invocation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeComment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				punctuation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
			};
		}, {
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			} & {
				fontFamily: string;
				lineHeight: number;
				kind: "TYPOGRAPHY";
				fontSizeFactor: number;
			};
			colors: {
				string: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				number: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				type: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				value: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				literal: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				comment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				keyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeKeyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				tag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeTag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				attribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeAttribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				declaration: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				operator: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				invocation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeComment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				punctuation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
			};
		}>;
		decorations: z.ZodObject<{
			gutter: z.ZodObject<{
				character: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_GUTTER">;
					offset: z.ZodTuple<[
						z.ZodNumber,
						z.ZodNumber
					], null>;
				}, "strip", z.ZodTypeAny, {
					offset: [
						number,
						number
					];
					kind: "DECORATION_GUTTER";
				}, {
					offset: [
						number,
						number
					];
					kind: "DECORATION_GUTTER";
				}>;
			}, "strip", z.ZodTypeAny, {
				character: {
					offset: [
						number,
						number
					];
					kind: "DECORATION_GUTTER";
				};
			}, {
				character: {
					offset: [
						number,
						number
					];
					kind: "DECORATION_GUTTER";
				};
			}>;
			line: z.ZodObject<{
				highlight: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_LINE">;
					class: z.ZodLiteral<"highlight">;
					foreground: z.ZodObject<{
						endLeft: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"gutter">,
							z.ZodLiteral<"scene">
						]>;
						endRight: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"scene">
						]>;
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
					}, "strip", z.ZodTypeAny, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}>;
					background: z.ZodObject<{
						endLeft: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"gutter">,
							z.ZodLiteral<"scene">
						]>;
						endRight: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"scene">
						]>;
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
					}, "strip", z.ZodTypeAny, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "highlight";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				}, {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "highlight";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				}>;
				error: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_LINE">;
					class: z.ZodLiteral<"error">;
					foreground: z.ZodObject<{
						endLeft: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"gutter">,
							z.ZodLiteral<"scene">
						]>;
						endRight: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"scene">
						]>;
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
					}, "strip", z.ZodTypeAny, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}>;
					background: z.ZodObject<{
						endLeft: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"gutter">,
							z.ZodLiteral<"scene">
						]>;
						endRight: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"scene">
						]>;
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
					}, "strip", z.ZodTypeAny, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "error";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				}, {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "error";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				}>;
				ok: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_LINE">;
					class: z.ZodLiteral<"ok">;
					foreground: z.ZodObject<{
						endLeft: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"gutter">,
							z.ZodLiteral<"scene">
						]>;
						endRight: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"scene">
						]>;
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
					}, "strip", z.ZodTypeAny, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}>;
					background: z.ZodObject<{
						endLeft: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"gutter">,
							z.ZodLiteral<"scene">
						]>;
						endRight: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"scene">
						]>;
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
					}, "strip", z.ZodTypeAny, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "ok";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				}, {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "ok";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				}>;
				custom1: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_LINE">;
					class: z.ZodLiteral<"custom1">;
					foreground: z.ZodObject<{
						endLeft: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"gutter">,
							z.ZodLiteral<"scene">
						]>;
						endRight: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"scene">
						]>;
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
					}, "strip", z.ZodTypeAny, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}>;
					background: z.ZodObject<{
						endLeft: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"gutter">,
							z.ZodLiteral<"scene">
						]>;
						endRight: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"scene">
						]>;
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
					}, "strip", z.ZodTypeAny, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom1";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				}, {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom1";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				}>;
				custom2: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_LINE">;
					class: z.ZodLiteral<"custom2">;
					foreground: z.ZodObject<{
						endLeft: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"gutter">,
							z.ZodLiteral<"scene">
						]>;
						endRight: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"scene">
						]>;
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
					}, "strip", z.ZodTypeAny, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}>;
					background: z.ZodObject<{
						endLeft: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"gutter">,
							z.ZodLiteral<"scene">
						]>;
						endRight: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"scene">
						]>;
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
					}, "strip", z.ZodTypeAny, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom2";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				}, {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom2";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				}>;
				custom3: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_LINE">;
					class: z.ZodLiteral<"custom3">;
					foreground: z.ZodObject<{
						endLeft: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"gutter">,
							z.ZodLiteral<"scene">
						]>;
						endRight: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"scene">
						]>;
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
					}, "strip", z.ZodTypeAny, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}>;
					background: z.ZodObject<{
						endLeft: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"gutter">,
							z.ZodLiteral<"scene">
						]>;
						endRight: z.ZodUnion<[
							z.ZodLiteral<"tokens">,
							z.ZodLiteral<"scene">
						]>;
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
					}, "strip", z.ZodTypeAny, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}, {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom3";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				}, {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom3";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				}>;
			}, "strip", z.ZodTypeAny, {
				error: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "error";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				highlight: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "highlight";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				ok: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "ok";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom1: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom1";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom2: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom2";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom3: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom3";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
			}, {
				error: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "error";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				highlight: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "highlight";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				ok: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "ok";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom1: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom1";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom2: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom2";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom3: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom3";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
			}>;
			text: z.ZodObject<{
				highlight: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_TEXT">;
					class: z.ZodLiteral<"highlight">;
					foreground: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						underline: z.ZodObject<{
							kind: z.ZodLiteral<"UNDERLINE">;
							offsetY: z.ZodNumber;
							enabled: z.ZodBoolean;
							style: z.ZodEnum<[
								"line",
								"wave",
								"squiggly"
							]>;
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							scale: z.ZodNumber;
							width: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}>;
					}, "strip", z.ZodTypeAny, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}>;
					background: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						underline: z.ZodObject<{
							kind: z.ZodLiteral<"UNDERLINE">;
							offsetY: z.ZodNumber;
							enabled: z.ZodBoolean;
							style: z.ZodEnum<[
								"line",
								"wave",
								"squiggly"
							]>;
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							scale: z.ZodNumber;
							width: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}>;
					}, "strip", z.ZodTypeAny, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "highlight";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				}, {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "highlight";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				}>;
				error: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_TEXT">;
					class: z.ZodLiteral<"error">;
					foreground: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						underline: z.ZodObject<{
							kind: z.ZodLiteral<"UNDERLINE">;
							offsetY: z.ZodNumber;
							enabled: z.ZodBoolean;
							style: z.ZodEnum<[
								"line",
								"wave",
								"squiggly"
							]>;
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							scale: z.ZodNumber;
							width: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}>;
					}, "strip", z.ZodTypeAny, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}>;
					background: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						underline: z.ZodObject<{
							kind: z.ZodLiteral<"UNDERLINE">;
							offsetY: z.ZodNumber;
							enabled: z.ZodBoolean;
							style: z.ZodEnum<[
								"line",
								"wave",
								"squiggly"
							]>;
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							scale: z.ZodNumber;
							width: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}>;
					}, "strip", z.ZodTypeAny, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "error";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				}, {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "error";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				}>;
				ok: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_TEXT">;
					class: z.ZodLiteral<"ok">;
					foreground: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						underline: z.ZodObject<{
							kind: z.ZodLiteral<"UNDERLINE">;
							offsetY: z.ZodNumber;
							enabled: z.ZodBoolean;
							style: z.ZodEnum<[
								"line",
								"wave",
								"squiggly"
							]>;
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							scale: z.ZodNumber;
							width: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}>;
					}, "strip", z.ZodTypeAny, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}>;
					background: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						underline: z.ZodObject<{
							kind: z.ZodLiteral<"UNDERLINE">;
							offsetY: z.ZodNumber;
							enabled: z.ZodBoolean;
							style: z.ZodEnum<[
								"line",
								"wave",
								"squiggly"
							]>;
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							scale: z.ZodNumber;
							width: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}>;
					}, "strip", z.ZodTypeAny, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "ok";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				}, {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "ok";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				}>;
				custom1: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_TEXT">;
					class: z.ZodLiteral<"custom1">;
					foreground: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						underline: z.ZodObject<{
							kind: z.ZodLiteral<"UNDERLINE">;
							offsetY: z.ZodNumber;
							enabled: z.ZodBoolean;
							style: z.ZodEnum<[
								"line",
								"wave",
								"squiggly"
							]>;
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							scale: z.ZodNumber;
							width: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}>;
					}, "strip", z.ZodTypeAny, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}>;
					background: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						underline: z.ZodObject<{
							kind: z.ZodLiteral<"UNDERLINE">;
							offsetY: z.ZodNumber;
							enabled: z.ZodBoolean;
							style: z.ZodEnum<[
								"line",
								"wave",
								"squiggly"
							]>;
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							scale: z.ZodNumber;
							width: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}>;
					}, "strip", z.ZodTypeAny, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom1";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				}, {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom1";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				}>;
				custom2: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_TEXT">;
					class: z.ZodLiteral<"custom2">;
					foreground: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						underline: z.ZodObject<{
							kind: z.ZodLiteral<"UNDERLINE">;
							offsetY: z.ZodNumber;
							enabled: z.ZodBoolean;
							style: z.ZodEnum<[
								"line",
								"wave",
								"squiggly"
							]>;
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							scale: z.ZodNumber;
							width: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}>;
					}, "strip", z.ZodTypeAny, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}>;
					background: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						underline: z.ZodObject<{
							kind: z.ZodLiteral<"UNDERLINE">;
							offsetY: z.ZodNumber;
							enabled: z.ZodBoolean;
							style: z.ZodEnum<[
								"line",
								"wave",
								"squiggly"
							]>;
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							scale: z.ZodNumber;
							width: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}>;
					}, "strip", z.ZodTypeAny, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom2";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				}, {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom2";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				}>;
				custom3: z.ZodObject<{
					kind: z.ZodLiteral<"DECORATION_TEXT">;
					class: z.ZodLiteral<"custom3">;
					foreground: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						underline: z.ZodObject<{
							kind: z.ZodLiteral<"UNDERLINE">;
							offsetY: z.ZodNumber;
							enabled: z.ZodBoolean;
							style: z.ZodEnum<[
								"line",
								"wave",
								"squiggly"
							]>;
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							scale: z.ZodNumber;
							width: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}>;
					}, "strip", z.ZodTypeAny, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}>;
					background: z.ZodObject<{
						backdrop: z.ZodObject<{
							kind: z.ZodLiteral<"BACKDROP">;
							value: z.ZodUnion<[
								z.ZodObject<{
									kind: z.ZodLiteral<"COLOR">;
									value: z.ZodUnion<[
										z.ZodString,
										z.ZodString
									]>;
								}, "strip", z.ZodTypeAny, {
									value: string;
									kind: "COLOR";
								}, {
									value: string;
									kind: "COLOR";
								}>,
								z.ZodObject<{
									kind: z.ZodLiteral<"LINEAR_GRADIENT">;
									stops: z.ZodArray<z.ZodObject<{
										color: z.ZodObject<{
											kind: z.ZodLiteral<"COLOR">;
											value: z.ZodUnion<[
												z.ZodString,
												z.ZodString
											]>;
										}, "strip", z.ZodTypeAny, {
											value: string;
											kind: "COLOR";
										}, {
											value: string;
											kind: "COLOR";
										}>;
										position: z.ZodNumber;
									}, "strip", z.ZodTypeAny, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}, {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}>, "many">;
									angle: z.ZodNumber;
								}, "strip", z.ZodTypeAny, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}, {
									angle: number;
									kind: "LINEAR_GRADIENT";
									stops: {
										color: {
											value: string;
											kind: "COLOR";
										};
										position: number;
									}[];
								}>
							]>;
						}, "strip", z.ZodTypeAny, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}, {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						}>;
						underline: z.ZodObject<{
							kind: z.ZodLiteral<"UNDERLINE">;
							offsetY: z.ZodNumber;
							enabled: z.ZodBoolean;
							style: z.ZodEnum<[
								"line",
								"wave",
								"squiggly"
							]>;
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							scale: z.ZodNumber;
							width: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}, {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						}>;
					}, "strip", z.ZodTypeAny, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}, {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					}>;
				}, "strip", z.ZodTypeAny, {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom3";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				}, {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom3";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				}>;
			}, "strip", z.ZodTypeAny, {
				error: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "error";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				highlight: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "highlight";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				ok: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "ok";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom1: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom1";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom2: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom2";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom3: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom3";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
			}, {
				error: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "error";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				highlight: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "highlight";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				ok: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "ok";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom1: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom1";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom2: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom2";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom3: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom3";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
			}>;
		}, "strip", z.ZodTypeAny, {
			line: {
				error: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "error";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				highlight: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "highlight";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				ok: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "ok";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom1: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom1";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom2: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom2";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom3: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom3";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
			};
			text: {
				error: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "error";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				highlight: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "highlight";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				ok: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "ok";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom1: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom1";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom2: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom2";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom3: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom3";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
			};
			gutter: {
				character: {
					offset: [
						number,
						number
					];
					kind: "DECORATION_GUTTER";
				};
			};
		}, {
			line: {
				error: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "error";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				highlight: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "highlight";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				ok: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "ok";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom1: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom1";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom2: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom2";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom3: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom3";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
			};
			text: {
				error: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "error";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				highlight: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "highlight";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				ok: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "ok";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom1: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom1";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom2: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom2";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom3: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom3";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
			};
			gutter: {
				character: {
					offset: [
						number,
						number
					];
					kind: "DECORATION_GUTTER";
				};
			};
		}>;
		background: z.ZodObject<{
			backdrop: z.ZodObject<{
				kind: z.ZodLiteral<"BACKDROP">;
				value: z.ZodUnion<[
					z.ZodObject<{
						kind: z.ZodLiteral<"COLOR">;
						value: z.ZodUnion<[
							z.ZodString,
							z.ZodString
						]>;
					}, "strip", z.ZodTypeAny, {
						value: string;
						kind: "COLOR";
					}, {
						value: string;
						kind: "COLOR";
					}>,
					z.ZodObject<{
						kind: z.ZodLiteral<"LINEAR_GRADIENT">;
						stops: z.ZodArray<z.ZodObject<{
							color: z.ZodObject<{
								kind: z.ZodLiteral<"COLOR">;
								value: z.ZodUnion<[
									z.ZodString,
									z.ZodString
								]>;
							}, "strip", z.ZodTypeAny, {
								value: string;
								kind: "COLOR";
							}, {
								value: string;
								kind: "COLOR";
							}>;
							position: z.ZodNumber;
						}, "strip", z.ZodTypeAny, {
							color: {
								value: string;
								kind: "COLOR";
							};
							position: number;
						}, {
							color: {
								value: string;
								kind: "COLOR";
							};
							position: number;
						}>, "many">;
						angle: z.ZodNumber;
					}, "strip", z.ZodTypeAny, {
						angle: number;
						kind: "LINEAR_GRADIENT";
						stops: {
							color: {
								value: string;
								kind: "COLOR";
							};
							position: number;
						}[];
					}, {
						angle: number;
						kind: "LINEAR_GRADIENT";
						stops: {
							color: {
								value: string;
								kind: "COLOR";
							};
							position: number;
						}[];
					}>
				]>;
			}, "strip", z.ZodTypeAny, {
				value: {
					value: string;
					kind: "COLOR";
				} | {
					angle: number;
					kind: "LINEAR_GRADIENT";
					stops: {
						color: {
							value: string;
							kind: "COLOR";
						};
						position: number;
					}[];
				};
				kind: "BACKDROP";
			}, {
				value: {
					value: string;
					kind: "COLOR";
				} | {
					angle: number;
					kind: "LINEAR_GRADIENT";
					stops: {
						color: {
							value: string;
							kind: "COLOR";
						};
						position: number;
					}[];
				};
				kind: "BACKDROP";
			}>;
		}, "strip", z.ZodTypeAny, {
			backdrop: {
				value: {
					value: string;
					kind: "COLOR";
				} | {
					angle: number;
					kind: "LINEAR_GRADIENT";
					stops: {
						color: {
							value: string;
							kind: "COLOR";
						};
						position: number;
					}[];
				};
				kind: "BACKDROP";
			};
		}, {
			backdrop: {
				value: {
					value: string;
					kind: "COLOR";
				} | {
					angle: number;
					kind: "LINEAR_GRADIENT";
					stops: {
						color: {
							value: string;
							kind: "COLOR";
						};
						position: number;
					}[];
				};
				kind: "BACKDROP";
			};
		}>;
	}, "strip", z.ZodTypeAny, {
		background: {
			backdrop: {
				value: {
					value: string;
					kind: "COLOR";
				} | {
					angle: number;
					kind: "LINEAR_GRADIENT";
					stops: {
						color: {
							value: string;
							kind: "COLOR";
						};
						position: number;
					}[];
				};
				kind: "BACKDROP";
			};
		};
		lineNumbers: {
			enabled: boolean;
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			};
			horizontalMargin: [
				number,
				number
			];
		};
		tokens: {
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			} & {
				fontFamily: string;
				lineHeight: number;
				kind: "TYPOGRAPHY";
				fontSizeFactor: number;
			};
			colors: {
				string: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				number: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				type: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				value: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				literal: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				comment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				keyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeKeyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				tag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeTag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				attribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeAttribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				declaration: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				operator: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				invocation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeComment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				punctuation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
			};
		};
		decorations: {
			line: {
				error: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "error";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				highlight: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "highlight";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				ok: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "ok";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom1: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom1";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom2: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom2";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom3: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom3";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
			};
			text: {
				error: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "error";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				highlight: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "highlight";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				ok: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "ok";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom1: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom1";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom2: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom2";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom3: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom3";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
			};
			gutter: {
				character: {
					offset: [
						number,
						number
					];
					kind: "DECORATION_GUTTER";
				};
			};
		};
	}, {
		background: {
			backdrop: {
				value: {
					value: string;
					kind: "COLOR";
				} | {
					angle: number;
					kind: "LINEAR_GRADIENT";
					stops: {
						color: {
							value: string;
							kind: "COLOR";
						};
						position: number;
					}[];
				};
				kind: "BACKDROP";
			};
		};
		lineNumbers: {
			enabled: boolean;
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			};
			horizontalMargin: [
				number,
				number
			];
		};
		tokens: {
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			} & {
				fontFamily: string;
				lineHeight: number;
				kind: "TYPOGRAPHY";
				fontSizeFactor: number;
			};
			colors: {
				string: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				number: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				type: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				value: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				literal: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				comment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				keyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeKeyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				tag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeTag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				attribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeAttribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				declaration: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				operator: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				invocation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeComment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				punctuation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
			};
		};
		decorations: {
			line: {
				error: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "error";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				highlight: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "highlight";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				ok: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "ok";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom1: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom1";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom2: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom2";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom3: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom3";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
			};
			text: {
				error: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "error";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				highlight: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "highlight";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				ok: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "ok";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom1: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom1";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom2: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom2";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom3: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom3";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
			};
			gutter: {
				character: {
					offset: [
						number,
						number
					];
					kind: "DECORATION_GUTTER";
				};
			};
		};
	}>;
}, "strip", z.ZodTypeAny, {
	animation: {
		function: "linear" | "ease" | "ease-in" | "ease-out" | "ease-in-out";
		duration: number;
	};
	padding: [
		number,
		number,
		number,
		number
	];
	verticalAlign: "top" | "middle";
	version: 0;
	layers: {
		background: {
			backdrop: {
				value: {
					value: string;
					kind: "COLOR";
				} | {
					angle: number;
					kind: "LINEAR_GRADIENT";
					stops: {
						color: {
							value: string;
							kind: "COLOR";
						};
						position: number;
					}[];
				};
				kind: "BACKDROP";
			};
		};
		lineNumbers: {
			enabled: boolean;
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			};
			horizontalMargin: [
				number,
				number
			];
		};
		tokens: {
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			} & {
				fontFamily: string;
				lineHeight: number;
				kind: "TYPOGRAPHY";
				fontSizeFactor: number;
			};
			colors: {
				string: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				number: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				type: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				value: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				literal: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				comment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				keyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeKeyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				tag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeTag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				attribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeAttribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				declaration: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				operator: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				invocation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeComment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				punctuation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
			};
		};
		decorations: {
			line: {
				error: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "error";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				highlight: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "highlight";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				ok: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "ok";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom1: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom1";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom2: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom2";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom3: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom3";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
			};
			text: {
				error: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "error";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				highlight: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "highlight";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				ok: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "ok";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom1: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom1";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom2: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom2";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom3: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom3";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
			};
			gutter: {
				character: {
					offset: [
						number,
						number
					];
					kind: "DECORATION_GUTTER";
				};
			};
		};
	};
}, {
	animation: {
		function: "linear" | "ease" | "ease-in" | "ease-out" | "ease-in-out";
		duration: number;
	};
	padding: [
		number,
		number,
		number,
		number
	];
	verticalAlign: "top" | "middle";
	version: 0;
	layers: {
		background: {
			backdrop: {
				value: {
					value: string;
					kind: "COLOR";
				} | {
					angle: number;
					kind: "LINEAR_GRADIENT";
					stops: {
						color: {
							value: string;
							kind: "COLOR";
						};
						position: number;
					}[];
				};
				kind: "BACKDROP";
			};
		};
		lineNumbers: {
			enabled: boolean;
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			};
			horizontalMargin: [
				number,
				number
			];
		};
		tokens: {
			typography: {
				color: {
					value: string;
					kind: "COLOR";
				};
				style: "normal" | "italic";
				weight: "bold" | "normal";
			} & {
				fontFamily: string;
				lineHeight: number;
				kind: "TYPOGRAPHY";
				fontSizeFactor: number;
			};
			colors: {
				string: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				number: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				type: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				value: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				literal: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				comment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				keyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeKeyword: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				tag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeTag: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				attribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeAttribute: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				declaration: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				operator: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				invocation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				alternativeComment: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
				punctuation: {
					color: {
						value: string;
						kind: "COLOR";
					};
					style: "normal" | "italic";
					weight: "bold" | "normal";
				};
			};
		};
		decorations: {
			line: {
				error: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "error";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				highlight: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "highlight";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				ok: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "ok";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom1: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom1";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom2: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom2";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
				custom3: {
					background: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
					class: "custom3";
					kind: "DECORATION_LINE";
					foreground: {
						endLeft: "tokens" | "gutter" | "scene";
						endRight: "tokens" | "scene";
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
					};
				};
			};
			text: {
				error: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "error";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				highlight: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "highlight";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				ok: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "ok";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom1: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom1";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom2: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom2";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
				custom3: {
					background: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
					class: "custom3";
					kind: "DECORATION_TEXT";
					foreground: {
						backdrop: {
							value: {
								value: string;
								kind: "COLOR";
							} | {
								angle: number;
								kind: "LINEAR_GRADIENT";
								stops: {
									color: {
										value: string;
										kind: "COLOR";
									};
									position: number;
								}[];
							};
							kind: "BACKDROP";
						};
						underline: {
							width: number;
							color: {
								value: string;
								kind: "COLOR";
							};
							scale: number;
							style: "line" | "wave" | "squiggly";
							enabled: boolean;
							kind: "UNDERLINE";
							offsetY: number;
						};
					};
				};
			};
			gutter: {
				character: {
					offset: [
						number,
						number
					];
					kind: "DECORATION_GUTTER";
				};
			};
		};
	};
}>;
export type Theme = z.infer<typeof themeSchema>;
export type Coords = {
	sx: number;
	sy: number;
	ex: number;
	ey: number;
};
export type Diffable = Coords & {
	hash: number;
	context: string[];
	depth: number;
};
export type Token = Diffable & {
	text: string;
	type: string;
	range: number;
	language: Language;
};
export type InputRange = {
	from: number;
	to: number;
	data: Record<string, string>;
};
declare const baseDecorationSchema: z.ZodObject<{
	data: z.ZodObject<{
		tagName: z.ZodOptional<z.ZodString>;
		attributes: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
	}, "strip", z.ZodTypeAny, {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	}, {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	}>;
}, "strip", z.ZodTypeAny, {
	data: {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	};
}, {
	data: {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	};
}>;
export type BaseDecoration = z.infer<typeof baseDecorationSchema>;
declare const inputGutterDecorationSchema: z.ZodObject<z.objectUtil.extendShape<{
	data: z.ZodObject<{
		tagName: z.ZodOptional<z.ZodString>;
		attributes: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
	}, "strip", z.ZodTypeAny, {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	}, {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	}>;
}, {
	kind: z.ZodLiteral<"GUTTER">;
	class: z.ZodLiteral<"character">;
	text: z.ZodString;
	line: z.ZodNumber;
}>, "strip", z.ZodTypeAny, {
	data: {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	};
	line: number;
	text: string;
	class: "character";
	kind: "GUTTER";
}, {
	data: {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	};
	line: number;
	text: string;
	class: "character";
	kind: "GUTTER";
}>;
export type InputGutterDecoration = z.infer<typeof inputGutterDecorationSchema>;
declare const inputLineDecorationSchema: z.ZodObject<z.objectUtil.extendShape<{
	data: z.ZodObject<{
		tagName: z.ZodOptional<z.ZodString>;
		attributes: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
	}, "strip", z.ZodTypeAny, {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	}, {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	}>;
}, {
	kind: z.ZodLiteral<"LINE">;
	class: z.ZodUnion<[
		z.ZodLiteral<"highlight">,
		z.ZodLiteral<"error">,
		z.ZodLiteral<"ok">,
		z.ZodLiteral<"custom1">,
		z.ZodLiteral<"custom2">,
		z.ZodLiteral<"custom3">
	]>;
	fromLine: z.ZodNumber;
	toLine: z.ZodNumber;
}>, "strip", z.ZodTypeAny, {
	data: {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	};
	class: "error" | "highlight" | "ok" | "custom1" | "custom2" | "custom3";
	kind: "LINE";
	fromLine: number;
	toLine: number;
}, {
	data: {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	};
	class: "error" | "highlight" | "ok" | "custom1" | "custom2" | "custom3";
	kind: "LINE";
	fromLine: number;
	toLine: number;
}>;
export type InputLineDecoration = z.infer<typeof inputLineDecorationSchema>;
declare const inputTextDecorationSchema: z.ZodObject<z.objectUtil.extendShape<{
	data: z.ZodObject<{
		tagName: z.ZodOptional<z.ZodString>;
		attributes: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
	}, "strip", z.ZodTypeAny, {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	}, {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	}>;
}, {
	kind: z.ZodLiteral<"TEXT">;
	class: z.ZodUnion<[
		z.ZodLiteral<"highlight">,
		z.ZodLiteral<"error">,
		z.ZodLiteral<"ok">,
		z.ZodLiteral<"custom1">,
		z.ZodLiteral<"custom2">,
		z.ZodLiteral<"custom3">
	]>;
	from: z.ZodNumber;
	to: z.ZodNumber;
}>, "strip", z.ZodTypeAny, {
	data: {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	};
	class: "error" | "highlight" | "ok" | "custom1" | "custom2" | "custom3";
	from: number;
	to: number;
	kind: "TEXT";
}, {
	data: {
		attributes?: Record<string, string> | undefined;
		tagName?: string | undefined;
	};
	class: "error" | "highlight" | "ok" | "custom1" | "custom2" | "custom3";
	from: number;
	to: number;
	kind: "TEXT";
}>;
export type InputTextDecoration = z.infer<typeof inputTextDecorationSchema>;
declare const inputDecorationSchema: z.ZodDiscriminatedUnion<"kind", [
	z.ZodObject<z.objectUtil.extendShape<{
		data: z.ZodObject<{
			tagName: z.ZodOptional<z.ZodString>;
			attributes: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
		}, "strip", z.ZodTypeAny, {
			attributes?: Record<string, string> | undefined;
			tagName?: string | undefined;
		}, {
			attributes?: Record<string, string> | undefined;
			tagName?: string | undefined;
		}>;
	}, {
		kind: z.ZodLiteral<"GUTTER">;
		class: z.ZodLiteral<"character">;
		text: z.ZodString;
		line: z.ZodNumber;
	}>, "strip", z.ZodTypeAny, {
		data: {
			attributes?: Record<string, string> | undefined;
			tagName?: string | undefined;
		};
		line: number;
		text: string;
		class: "character";
		kind: "GUTTER";
	}, {
		data: {
			attributes?: Record<string, string> | undefined;
			tagName?: string | undefined;
		};
		line: number;
		text: string;
		class: "character";
		kind: "GUTTER";
	}>,
	z.ZodObject<z.objectUtil.extendShape<{
		data: z.ZodObject<{
			tagName: z.ZodOptional<z.ZodString>;
			attributes: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
		}, "strip", z.ZodTypeAny, {
			attributes?: Record<string, string> | undefined;
			tagName?: string | undefined;
		}, {
			attributes?: Record<string, string> | undefined;
			tagName?: string | undefined;
		}>;
	}, {
		kind: z.ZodLiteral<"LINE">;
		class: z.ZodUnion<[
			z.ZodLiteral<"highlight">,
			z.ZodLiteral<"error">,
			z.ZodLiteral<"ok">,
			z.ZodLiteral<"custom1">,
			z.ZodLiteral<"custom2">,
			z.ZodLiteral<"custom3">
		]>;
		fromLine: z.ZodNumber;
		toLine: z.ZodNumber;
	}>, "strip", z.ZodTypeAny, {
		data: {
			attributes?: Record<string, string> | undefined;
			tagName?: string | undefined;
		};
		class: "error" | "highlight" | "ok" | "custom1" | "custom2" | "custom3";
		kind: "LINE";
		fromLine: number;
		toLine: number;
	}, {
		data: {
			attributes?: Record<string, string> | undefined;
			tagName?: string | undefined;
		};
		class: "error" | "highlight" | "ok" | "custom1" | "custom2" | "custom3";
		kind: "LINE";
		fromLine: number;
		toLine: number;
	}>,
	z.ZodObject<z.objectUtil.extendShape<{
		data: z.ZodObject<{
			tagName: z.ZodOptional<z.ZodString>;
			attributes: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
		}, "strip", z.ZodTypeAny, {
			attributes?: Record<string, string> | undefined;
			tagName?: string | undefined;
		}, {
			attributes?: Record<string, string> | undefined;
			tagName?: string | undefined;
		}>;
	}, {
		kind: z.ZodLiteral<"TEXT">;
		class: z.ZodUnion<[
			z.ZodLiteral<"highlight">,
			z.ZodLiteral<"error">,
			z.ZodLiteral<"ok">,
			z.ZodLiteral<"custom1">,
			z.ZodLiteral<"custom2">,
			z.ZodLiteral<"custom3">
		]>;
		from: z.ZodNumber;
		to: z.ZodNumber;
	}>, "strip", z.ZodTypeAny, {
		data: {
			attributes?: Record<string, string> | undefined;
			tagName?: string | undefined;
		};
		class: "error" | "highlight" | "ok" | "custom1" | "custom2" | "custom3";
		from: number;
		to: number;
		kind: "TEXT";
	}, {
		data: {
			attributes?: Record<string, string> | undefined;
			tagName?: string | undefined;
		};
		class: "error" | "highlight" | "ok" | "custom1" | "custom2" | "custom3";
		from: number;
		to: number;
		kind: "TEXT";
	}>
]>;
export type InputDecoration = z.infer<typeof inputDecorationSchema>;
export type ReifiedDecoration = Coords & Diffable;
export type GutterDecoration = InputGutterDecoration & ReifiedDecoration;
export type LineDecoration = InputLineDecoration & ReifiedDecoration;
export type TextDecoration = InputTextDecoration & ReifiedDecoration;
export type Decoration = GutterDecoration | LineDecoration | TextDecoration;
export type FrameMetadata = {
	renderedText: string;
	cols: number;
	rows: number;
};
export type TokenOutput = {
	id: number;
	text: string;
	type: string;
	language: Language;
};
export type GutterDecorationOutput = BaseDecoration & {
	id: number;
	text: string;
	readonly kind: InputGutterDecoration["kind"];
	readonly class: InputGutterDecoration["class"];
};
export type LineDecorationOutput = BaseDecoration & {
	id: number;
	readonly kind: InputLineDecoration["kind"];
	readonly class: InputLineDecoration["class"];
};
export type TextDecorationOutput = BaseDecoration & {
	id: number;
	readonly kind: InputTextDecoration["kind"];
	readonly class: InputTextDecoration["class"];
};
export type DecorationOutput = GutterDecorationOutput | LineDecorationOutput | TextDecorationOutput;
export type TextPosition = {
	x: number;
	y: number;
	a: number;
};
export type DecorationPosition = {
	x: number;
	y: number;
	w: number;
	h: number;
	a: number;
};
export type Frame = {
	isKeyframe: boolean;
	text: Map<number, TextPosition>;
	decoration: Map<number, DecorationPosition>;
};
export type Scene = {
	cols: number;
	rows: number;
	objects: {
		text: Map<number, TokenOutput>;
		decoration: Map<number, DecorationOutput>;
	};
	frames: Map<number, Frame>;
	metadata: Map<number, FrameMetadata>;
};
export type InputFrame = {
	code: string;
	ranges: InputRange[];
	decorations: InputDecoration[];
};
export type InputOptions = {
	language: Language;
	tabSize: number;
};
export declare function fromStringsToScene(inputFrames: InputFrame[], options: InputOptions): Scene;
export declare function fromStringToTokens(inputFrame: InputFrame, options: InputOptions): {
	tokens: Token[];
	decorations: Decoration[];
	metadata: FrameMetadata;
};
export type HighlightInput = {
	tokens: Token[];
	decorations: Decoration[];
	metadata: FrameMetadata;
};
export type HighlightOptions = {
	rootClassSeed?: number;
	debugOverride?: boolean;
	theme?: Theme;
};
export declare function toHighlightHTML({ tokens, decorations, metadata }: HighlightInput, { rootClassSeed, theme, debugOverride, }?: HighlightOptions): string;
export type AnimationOptions = {
	rootClassSeed?: number;
	debugOverride?: boolean;
	theme?: Theme;
};
export declare function toAnimationHTML(scene: Scene, { rootClassSeed, theme, debugOverride, }?: AnimationOptions): string;
export declare function ch(amount: number): string;
export declare function font(family: string, lineHeight: number): string;
export declare function backdropToCss(backdrop: BackgroundSchema): {
	background: string;
};

declare namespace z {
	export { AnyZodObject, AnyZodTuple, ArrayCardinality, ArrayKeys, AssertArray, AsyncParseReturnType, BRAND, CatchallInput, CatchallOutput, CustomErrorParams, DIRTY, DenormalizedError, EMPTY_PATH, Effect, EnumLike, EnumValues, ErrorMapCtx, FilterEnum, INVALID, Indices, InnerTypeOfFunction, InputTypeOfTuple, InputTypeOfTupleWithRest, IpVersion, IssueData, KeySchema, NEVER, OK, ObjectPair, OuterTypeOfFunction, OutputTypeOfTuple, OutputTypeOfTupleWithRest, ParseContext, ParseInput, ParseParams, ParsePath, ParsePathComponent, ParseResult, ParseReturnType, ParseStatus, PassthroughType, PreprocessEffect, Primitive, ProcessedCreateParams, RawCreateParams, RecordType, Refinement, RefinementCtx, RefinementEffect, SafeParseError, SafeParseReturnType, SafeParseSuccess, Scalars, SomeZodObject, StringValidation, SuperRefinement, SyncParseReturnType, TransformEffect, TypeOf, TypeOf as infer, UnknownKeysParam, Values, Writeable, ZodAny, ZodAnyDef, ZodArray, ZodArrayDef, ZodBigInt, ZodBigIntCheck, ZodBigIntDef, ZodBoolean, ZodBooleanDef, ZodBranded, ZodBrandedDef, ZodCatch, ZodCatchDef, ZodCustomIssue, ZodDate, ZodDateCheck, ZodDateDef, ZodDefault, ZodDefaultDef, ZodDiscriminatedUnion, ZodDiscriminatedUnionDef, ZodDiscriminatedUnionOption, ZodEffects, ZodEffects as ZodTransformer, ZodEffectsDef, ZodEnum, ZodEnumDef, ZodError, ZodErrorMap, ZodFirstPartySchemaTypes, ZodFirstPartyTypeKind, ZodFormattedError, ZodFunction, ZodFunctionDef, ZodIntersection, ZodIntersectionDef, ZodInvalidArgumentsIssue, ZodInvalidDateIssue, ZodInvalidEnumValueIssue, ZodInvalidIntersectionTypesIssue, ZodInvalidLiteralIssue, ZodInvalidReturnTypeIssue, ZodInvalidStringIssue, ZodInvalidTypeIssue, ZodInvalidUnionDiscriminatorIssue, ZodInvalidUnionIssue, ZodIssue, ZodIssueBase, ZodIssueCode, ZodIssueOptionalMessage, ZodLazy, ZodLazyDef, ZodLiteral, ZodLiteralDef, ZodMap, ZodMapDef, ZodNaN, ZodNaNDef, ZodNativeEnum, ZodNativeEnumDef, ZodNever, ZodNeverDef, ZodNonEmptyArray, ZodNotFiniteIssue, ZodNotMultipleOfIssue, ZodNull, ZodNullDef, ZodNullable, ZodNullableDef, ZodNullableType, ZodNumber, ZodNumberCheck, ZodNumberDef, ZodObject, ZodObjectDef, ZodOptional, ZodOptionalDef, ZodOptionalType, ZodParsedType, ZodPipeline, ZodPipelineDef, ZodPromise, ZodPromiseDef, ZodRawShape, ZodReadonly, ZodReadonlyDef, ZodRecord, ZodRecordDef, ZodSet, ZodSetDef, ZodString, ZodStringCheck, ZodStringDef, ZodSymbol, ZodSymbolDef, ZodTooBigIssue, ZodTooSmallIssue, ZodTuple, ZodTupleDef, ZodTupleItems, ZodType, ZodType as Schema, ZodType as ZodSchema, ZodTypeAny, ZodTypeDef, ZodUndefined, ZodUndefinedDef, ZodUnion, ZodUnionDef, ZodUnionOptions, ZodUnknown, ZodUnknownDef, ZodUnrecognizedKeysIssue, ZodVoid, ZodVoidDef, addIssueToContext, anyType as any, arrayOutputType, arrayType as array, baseObjectInputType, baseObjectOutputType, bigIntType as bigint, booleanType as boolean, coerce, custom, dateType as date, datetimeRegex, deoptional, discriminatedUnionType as discriminatedUnion, effectsType as effect, effectsType as transformer, enumType as enum, errorMap as defaultErrorMap, functionType as function, getErrorMap, getParsedType, inferFlattenedErrors, inferFormattedError, input, instanceOfType as instanceof, intersectionType as intersection, isAborted, isAsync, isDirty, isValid, late, lazyType as lazy, literalType as literal, makeIssue, mapType as map, mergeTypes, nanType as nan, nativeEnumType as nativeEnum, neverType as never, noUnrecognized, nullType as null, nullableType as nullable, numberType as number, objectInputType, objectOutputType, objectType as object, objectUtil, oboolean, onumber, optionalType as optional, ostring, output, pipelineType as pipeline, preprocessType as preprocess, promiseType as promise, quotelessJson, recordType as record, setErrorMap, setType as set, strictObjectType as strictObject, stringType as string, symbolType as symbol, tupleType as tuple, typeToFlattenedError, typecast, undefinedType as undefined, unionType as union, unknownType as unknown, util, voidType as void };
}

export {};
